<?php
class OrigendestinoDireccionesModel
{
    private $pdo;
    public function __CONSTRUCT()
    {
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function EliminarDirecciones($OrigenDestino_Id)
    {
        try {
            $stm = $this->pdo->prepare("CALL od_direcciones_eliminar(?)");
            $stm->execute(array($OrigenDestino_Id));
            // foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
            //     return $r->formuladetalle_Id;
            // }
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function GuardarDirecciones(origendestinodirecciones $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL od_direcciones_crear(?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('OrigenDestino_Id'),
                $data->__get('sODDDescripcion'),
                $data->__get('sODDDireccion'),
                $data->__get('sODDDepId'),
                '',
                $data->__get('sODDProvId'),
                '',
                $data->__get('sODDDistId'),
                ''

            ));
            // foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
            //     return $r->formuladetalle_Id;
            // }
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function EditarDirecciones(origendestinodirecciones $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL od_direcciones_editar(?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('origendestino_direcciones_id'),
                $data->__get('OrigenDestino_Id'),
                $data->__get('sODDDescripcion'),
                $data->__get('sODDDireccion'),
                $data->__get('sODDDepId'),
                '',
                $data->__get('sODDProvId'),
                '',
                $data->__get('sODDDistId'),
                ''
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarDirecciones($OrigenDestino_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL listar_od_direcciones(?)');
            $stm->execute([$OrigenDestino_Id]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }
}
