function FrmGuardarClienteproveedor() {
	$.post('?c=Clienteproveedor&a=FrmGuardarClienteproveedor', {}, function (data) {
		$('.content-wrapper').html(data);
	});
}
function FrmEditarClienteproveedor(Provclien_Id) {
	$.post(
		'?c=Clienteproveedor&a=FrmEditarClienteproveedor',
		{
			Provclien_Id: Provclien_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function mostrarClienteproveedor(Provclien_Id) {
	$.post(
		'?c=Clienteproveedor&a=MostrarClienteproveedor',
		{
			Provclien_Id: Provclien_Id,
		},
		function (data) {
			//alert(data);
			$('#ver_datos').html(data);
		}
	);
}
function limpiarFrm() {
	document.getElementById('Provclien_Id').value = '0';
	$('#nProcliTipo').prop('selectedIndex', 0);
	$('#nProcliTipoDoc').prop('selectedIndex', 0);
	document.getElementById('nProcliRUCDNI').value = '';
	document.getElementById('sProcliNombre').value = '';
	document.getElementById('sProcliNomComercial').value = '';
	document.getElementById('sProcliDireccion').value = '';
	document.getElementById('sProcliDireccionGR').value = '';
	document.getElementById('nProcliTelefono').value = '';
	document.getElementById('sProcliCorreo').value = '';
	document.getElementById('sProcliContacto').value = '';
	document.getElementById('nProcliDiasCredito').value = '0';
	$('#nProcliEstado').prop('selectedIndex', 0);
	document.getElementById('nProcliDep').value = '';
	document.getElementById('nProcliProv').value = '';
	document.getElementById('nProcliDist').value = '';
	document.getElementById('nProCliLineaCredito').value = '';
}
function GuardarProvclien() {
	direcciones_tabla = [];
	var Provclien_Id = document.getElementById('Provclien_Id').value;
	var nProcliRUCDNI = document.getElementById('nProcliRUCDNI').value;

	let nombre = $('#sProcliNombre').val();
	let nombreComercial = $('#sProcliNomComercial').val();
	let direccion = $('#sProcliDireccion').val();

	if (nombre == '' || nombreComercial == '' || direccion == '') {
		swal('Advertencia.', 'Debe llenar todos los campos!', 'warning');
		return;
	}

	//Validar espaciados en blanco

	if (nProcliRUCDNI.includes(' ')) {
		swal('Advertencia.', 'El DNI o RUC no debe contener espacios.', 'warning');
		return;
	}

	$.post(
		'?c=Clienteproveedor&a=validardocumento',
		{
			documento: nProcliRUCDNI,
			Provclien_Id: Provclien_Id,
		},
		function (data) {
			var validation = JSON.parse(data);
			if (validation.status) {
				var nProcliTipo = document.getElementById('nProcliTipo').value;
				var nProcliTipoDoc = document.getElementById('nProcliTipoDoc').value;
				var sProcliNombre = document.getElementById('sProcliNombre').value;
				var sProcliNomComercial = document.getElementById('sProcliNomComercial').value;
				var sProcliDireccion = document.getElementById('sProcliDireccion').value;
				var sProcliDireccionGR = document.getElementById('sProcliDireccionGR').value;
				var nProcliTelefono = document.getElementById('nProcliTelefono').value;
				var sProcliCorreo = document.getElementById('sProcliCorreo').value;
				var sProcliContacto = document.getElementById('sProcliContacto').value;
				var nProcliDiasCredito = document.getElementById('nProcliDiasCredito').value;
				var nProcliEstado = document.getElementById('nProcliEstado').value;
				var nProcliDepId = document.getElementById('nProcliDep').value;
				var nProcliDepName = $('#nProcliDep').find(':selected').data('name');
				var nProcliProvId = document.getElementById('nProcliProv').value;
				var nProcliProvName = $('#nProcliProv').find(':selected').data('name');
				var nProcliDistId = document.getElementById('nProcliDist').value;
				var nProcliDistName = $('#nProcliDist').find(':selected').data('name');
				var nProCliLineaCredito = document.getElementById('nProCliLineaCredito').value;
				// direcciones
				var cantidad_direcciones = $('#tabla_direcciones').children().length;

				for (var i = 0; i < cantidad_direcciones; i++) {
					direcciones_tabla.push({
						iddirecciones: (
							$('#tabla_direcciones').children()[i].children[0].innerHTML + ''
						).trim(),
						OrigenDestino_Id:
							Provclien_Id == 0
								? ''
								: ($('#tabla_direcciones').children()[i].children[1].innerHTML + '').trim(),
						sODDDescripcion: $('#tabla_direcciones').children()[i].children[2].innerHTML,
						sODDDireccion: $('#tabla_direcciones').children()[i].children[3].innerHTML,
						sODDDepId: $('#tabla_direcciones').children()[i].children[4].innerHTML,
						sODDProvId: $('#tabla_direcciones').children()[i].children[5].innerHTML,
						sODDDistId: $('#tabla_direcciones').children()[i].children[6].innerHTML,
					});
				}

				var j_direcciones = JSON.stringify(direcciones_tabla);

				$.post(
					'?c=Clienteproveedor&a=GuardarClienteproveedor',
					{
						Provclien_Id: Provclien_Id,
						nProcliTipo: nProcliTipo,
						nProcliTipoDoc: nProcliTipoDoc,
						nProcliRUCDNI: nProcliRUCDNI,
						sProcliNombre: sProcliNombre,
						sProcliNomComercial: sProcliNomComercial,
						sProcliDireccion: sProcliDireccion,
						sProcliDireccionGR: sProcliDireccionGR,
						nProcliTelefono: nProcliTelefono,
						sProcliCorreo: sProcliCorreo,
						sProcliContacto: sProcliContacto,
						nProcliDiasCredito: nProcliDiasCredito,
						nProcliEstado: nProcliEstado,
						nProcliDepId: nProcliDepId,
						nProcliDepName: nProcliDepName,
						nProcliProvId: nProcliProvId,
						nProcliProvName: nProcliProvName,
						nProcliDistId: nProcliDistId,
						nProcliDistName: nProcliDistName,
						nProCliLineaCredito: nProCliLineaCredito,
						direcciones: j_direcciones,
					},
					function (data) {
						$('#resultado').html(data);
						limpiarFrm();
						$('html, body').animate({ scrollTop: '0px' }, 1000);
					}
				);
			} else {
				if (validation.data == '1') {
					$('#clienteRegistradoModal-title').html('Cliente/Proveedor Deshabilitado');
					$('#clienteRegistradoModal-body').html(
						'El cliente/proveedor ya se ha eliminado. ¿Desea habilitarlo?'
					);
					$('#clienteRegistradoModal-footer').html(
						` <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
						<button type="button" class="btn btn-primary" onclick="HabilitarCliente()">Habilitar</button>`
					);
					$('#clienteRegistradoModal').modal('show');
					$('html, body').animate({ scrollTop: '0px' }, 1000);
				} else {
					$('#clienteRegistradoModal-title').html('Cliente/Proveedor registrado');
					$('#clienteRegistradoModal-body').html(
						'El cliente/proveedor ya se encuentra registrado.'
					);
					$('#clienteRegistradoModal-footer').html(
						' <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>'
					);
					$('#clienteRegistradoModal').modal('show');
					$('html, body').animate({ scrollTop: '0px' }, 1000);
				}
			}
		}
	);
}

function GuardarProvclienModal() {
	var Provclien_Id = document.getElementById('Provclien_Id').value;
	var nProcliRUCDNI = document.getElementById('nProcliRUCDNI').value;
	$.post(
		'?c=Clienteproveedor&a=validardocumento',
		{
			documento: nProcliRUCDNI,
			Provclien_Id: Provclien_Id,
		},
		function (data) {
			var validation = JSON.parse(data);
			if (validation.status) {
				var nProcliTipo = document.getElementById('nProcliTipo').value;
				var nProcliTipoDoc = document.getElementById('nProcliTipoDoc').value;
				var sProcliNombre = document.getElementById('sProcliNombre').value;
				var sProcliNomComercial = document.getElementById('sProcliNomComercial').value;
				var sProcliDireccion = document.getElementById('sProcliDireccion').value;
				var sProcliDireccionGR = document.getElementById('sProcliDireccionGR').value;
				var nProcliTelefono = document.getElementById('nProcliTelefono').value;
				var sProcliCorreo = document.getElementById('sProcliCorreo').value;
				var sProcliContacto = document.getElementById('sProcliContacto').value;
				var nProcliDiasCredito = document.getElementById('nProcliDiasCredito').value;
				var nProcliEstado = document.getElementById('nProcliEstado').value;
				var nProcliDepId = document.getElementById('nProcliDep').value;
				var nProcliDepName = $('#nProcliDep').find(':selected').data('name');
				var nProcliProvId = document.getElementById('nProcliProv').value;
				var nProcliProvName = $('#nProcliProv').find(':selected').data('name');
				var nProcliDistId = document.getElementById('nProcliDist').value;
				var nProcliDistName = $('#nProcliDist').find(':selected').data('name');
				var nProCliLineaCredito = document.getElementById('nProCliLineaCredito').value;
				$.post(
					'?c=Clienteproveedor&a=GuardarClienteproveedor',
					{
						Provclien_Id: Provclien_Id,
						nProcliTipo: nProcliTipo,
						nProcliTipoDoc: nProcliTipoDoc,
						nProcliRUCDNI: nProcliRUCDNI,
						sProcliNombre: sProcliNombre,
						sProcliNomComercial: sProcliNomComercial,
						sProcliDireccion: sProcliDireccion,
						sProcliDireccionGR: sProcliDireccionGR,
						nProcliTelefono: nProcliTelefono,
						sProcliCorreo: sProcliCorreo,
						sProcliContacto: sProcliContacto,
						nProcliDiasCredito: nProcliDiasCredito,
						nProcliEstado: nProcliEstado,
						nProcliDepId: nProcliDepId,
						nProcliDepName: nProcliDepName,
						nProcliProvId: nProcliProvId,
						nProcliProvName: nProcliProvName,
						nProcliDistId: nProcliDistId,
						nProcliDistName: nProcliDistName,
						nProCliLineaCredito: nProCliLineaCredito,
					},
					function (data) {
						//$("#resultado").html(data);
						$('html, body').animate({ scrollTop: '0px' }, 1000);
						onAddClient(data);
					}
				);
			} else {
				$('#resultado').html(validation.message);
				$('html, body').animate({ scrollTop: '0px' }, 1000);
			}
		}
	);
}

function agregar_direccion() {
	$('#agregar_direccion').modal('show');
}

function agregar_direcciones_ok() {
	console.log($('#FrmAgregarDirecciones').serializeArray());
	var datos = $('#FrmAgregarDirecciones').serializeArray();

	var conteo_direcciones = $('#tabla_direcciones').children().length;
	var siguiente = conteo_direcciones + 1;
	var row_direcciones = '<tr id="row_direcciones_' + siguiente + '">';
	row_direcciones += '<td style="display:none">0</td>';
	row_direcciones += '<td style="display:none">0</td>';
	row_direcciones += '<td>' + datos[2].value + '</td>';
	row_direcciones += '<td>' + datos[3].value + '</td>';
	row_direcciones += '<td style="display: none">' + datos[4].value + '</td>';
	row_direcciones += '<td style="display: none">' + datos[5].value + '</td>';
	row_direcciones += '<td style="display: none">' + datos[6].value + '</td>';
	row_direcciones +=
		'<td><button type="button" onclick="return quitar_direccion(' +
		siguiente +
		')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-times"></i></button></td>';
	row_direcciones += '</tr>';

	$('#tabla_direcciones').append(row_direcciones);
	$('#agregar_direccion').modal('hide');
	$('#FrmAgregarDirecciones').trigger('reset');
}

function quitar_direccion(id) {
	$('#row_direccion_a_eliminar').val(id);
	$('#modal_confirmareliminar_direccion').modal('show');
}

function quitar_direccion_ok(id) {
	$('#row_direccion_' + id).remove();
	$('#modal_confirmareliminar_direccion').modal('hide');
}

function confirmar_quitar_direccion() {
	$('#row_' + $('#id_row').val()).remove();
	$('#modal_confirmareliminar_direccion').modal('hide');
}

function HabilitarCliente() {
	let nProcliRUCDNI = document.getElementById('nProcliRUCDNI').value;
	$.post('?c=Clienteproveedor&a=habilitarClienteProveedor', { nProcliRUCDNI }, function (data) {
		if (JSON.parse(data)) {
			window.location.href = '?c=Clienteproveedor&a=Index';
		}
	});
}
