function MostrarMovimiento(Movimiento_Id) {
	$('#PDFMmovimiento_Id').val(Movimiento_Id);
	$.post(
		'?c=Movimiento&a=MostrarMovimiento',
		{
			Movimiento_Id: Movimiento_Id,
		},
		function (data) {
			$('#ver_datos').html(data);
		}
	);
}

function FrmGuardarMovimiento() {
	$.post('?c=Movimiento&a=FrmGuardarMovimiento', {}, function (data) {
		$('.content-wrapper').html(data);
	});
}

function FrmEditarMovimiento(Movimiento_Id) {
	$.post(
		'?c=Movimiento&a=FrmEditarMovimiento',
		{
			Movimiento_Id: Movimiento_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function FrmEditarUsuario(Usuario_Id) {
	$.post(
		'?c=Usuario&a=FrmEditarUsuario',
		{
			Usuario_Id: Usuario_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function mostrarUsuario(Usuario_Id) {
	$.post(
		'?c=Usuario&a=MostrarUsuario',
		{
			Usuario_Id: Usuario_Id,
		},
		function (data) {
			$('#ver_datos').html(data);
		}
	);
}

function Limpiar() {
	document.getElementById('Movimiento_Id').value = '0';
	document.getElementById('nMovOrdenCompra_Id').value = '';
	document.getElementById('dMovFecha').value = '';
	$('#Tipomovimiento_Id').prop('selectedIndex', 0);
	$('#nMovTipopago').prop('selectedIndex', 0);
	//    $('#nMovTipoOrigenDestino').prop('selectedIndex',0);
	$('#nMovOrigenDestino_Id').prop('selectedIndex', 0);
	$('#nMovTipodestino').prop('selectedIndex', 0);
	$('#Almacen_Id').prop('selectedIndex', 0);
	$('#Documento_Id').prop('selectedIndex', 0);
	document.getElementById('sMovDocumento').value = '';
	document.getElementById('sMovDocReferencia').value = '';
	$('#Moneda_Id').prop('selectedIndex', 0);
	if (document.getElementById('Moneda_Id').value == '2') {
		document.getElementById('nMovTipoCambio').value = '1';
	}
	$('#nMovVendedor_Id').prop('selectedIndex', 0);
	$('#dMovDetraccion_check').prop('checked', true);
	document.getElementById('dMovDetraccion').value = '0';
	$('#dMovPercepcion_check').prop('checked', true);
	document.getElementById('dMovPercepcion').value = '0';
	$('#dMovRetencion_check').prop('checked', true);
	document.getElementById('dMovRetencion').value = '0';
	document.getElementById('dMovImporte').value = '0';
	document.getElementById('dMovICBPER').value = '0';
	document.getElementById('dMovIGV').value = '0';
	document.getElementById('dMovTotal').value = '0';
	$('#sMovObservacion').val('');
	$('#tipo').prop('selectedIndex', 0);
}

function LimpiarCampoFunction(id, value) {
	document.getElementById(id).value = value;
}

function LimpiarFrmProductos() {
	//$('#ProdServ_Id').prop('selectedIndex',0);
	document.getElementById('sMovDetConCantidad').value = '0';
	//    document.getElementById('dMovDetConFechaVencimiento').value = "";
	$('#Unidadmedida_Id').prop('selectedIndex', 0);
	document.getElementById('nMovDetConPrecioUnitario').value = '0';
	document.getElementById('nMovDetConSubtotal').value = '0';
	$('#nMovDetPorcDescuento1').val('0.00');
}

function LimpiarFrmProductosLotes() {
	var value = 0;
	// $("#lotes").attr('checked', false);
	$('#Unidadmedida_Id').prop('selectedIndex', 0);
	document.getElementById('sMovDetConCantidad').value = 1;
	document.getElementById('nMovDetConPrecioUnitario').value = value.toFixed(2);
	document.getElementById('nMovDetConSubtotal').value = value.toFixed(2);
	var tipodestino = document.getElementById('nMovTipodestino').value;
	$('#nMovDetPorcDescuento1').val('0.00');
	if (tipodestino === '2') {
		$('#lista_lotes').parent().hide();
	} else {
		$('#lista_lotes').parent().show();
	}
}

function ValidarTipomovimiento() {
	var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
	// $("#nIncluyeLoteIGV").prop("checked", true);
	if (Tipomovimiento_Id == '') {
		$('#Tipomovimiento_Id').addClass('error');
		$('#Tipomovimiento_Id').parent().children().first().addClass('error');
	} else {
		$('#Tipomovimiento_Id').removeClass('error');
		$('#Tipomovimiento_Id').parent().children().first().removeClass('error');
		LimpiarFrmProductosLotes();
		$('#agregar_producto').modal('show');
	}
	$('html, body').animate(
		{
			scrollTop: '0px',
		},
		1000
	);
}

function GuardarMovimiento() {
	$('#modal-generargr').modal('hide');
	// NumeroDocumento();
	let Documento_Id = document.getElementById('Documento_Id').value;

	AutomaticoSINO(Documento_Id);
	CalcularImpTotIGV();

	var nMovOrigenDestino_Id = document.getElementById('nMovOrigenDestino_Id').value;
	var sMovDocumento = document.getElementById('sMovDocumento').value;

	if (sMovDocumento == undefined || sMovDocumento === '' || !sMovDocumento) {
		swal('Advertencia.', 'El documento no se cargo correctamente.', 'warning');
		return;
	}
	if (!nMovOrigenDestino_Id) {
		swal('Advertencia.', 'Debe de seleccionar un cliente/proveedor porfavor.', 'warning');
		return;
	}

	//Si es factura electronica
	if ($('#Documento_Id').val() == 1) {
		var druc = $('#nMovOrigenDestino_Id option:selected').data('subtext').toString();
		//Si el document es menor a 11 (No es RUC)
		if (druc.length < 11) {
			swal(
				'Advertencia.',
				'Para usar facturacion electronica el Cliente/Proveedor debe poseer RUC.',
				'warning'
			);
			return;
		}
	}

	// Si hay productos con precio 0
	var cantidad_productos = $('#productos_servicios').children().length;
	for (var i = 0; i < cantidad_productos; i++) {
		var productocero = parseFloat($('#productos_servicios').children()[i].children[4].innerHTML);
		if ($('#Documento_Id').val() == 1 || $('#Documento_Id').val() == 2) {
			if (productocero.toFixed(2) == 0.0) {
				swal('Advertencia.', 'Hay productos con precio 0.', 'warning');
				return;
			}
		}
	}

	$('#preloader').show();
	$.post(
		'?c=Movimiento&a=ValidarDocumentoEnDB',
		{
			Documento_Id: $('#Documento_Id').val(),
			sOCDocumento: $('#sMovDocumento').val(),
		},
		function (data) {
			console.log(data);
			let jsonData = JSON.parse(data);
			if (jsonData.error) {
				$('#preloader').hide();
				swal('Advertencia.', jsonData.mensaje, 'warning');
			} else {
				$.post('?c=Movimiento&a=validardetallemovimiento', {}, function (data) {
					var cant = parseInt(data);
					if (cant > 0) {
						var Movimiento_Id = document.getElementById('Movimiento_Id').value;
						var nMovOrdenCompra_Id = document.getElementById('nMovOrdenCompra_Id').value;
						var dMovFecha = document.getElementById('dMovFecha').value;
						var dias_credito = $('#nMovOrigenDestino_Id')
							.find(':selected')
							.data('diascredito');
						var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
						var nMovTipopago = document.getElementById('nMovTipopago').value;
						var Almacen_Id = document.getElementById('Almacen_Id').value;
						var nMovOrigenDestino_Id = document.getElementById('nMovOrigenDestino_Id').value;
						var nMovTipoOrigenDestino =
							document.getElementById('nMovTipoOrigenDestino').value;

						var nMovTipodestino = document.getElementById('nMovTipodestino').value;
						var Documento_Id = document.getElementById('Documento_Id').value;
						var sMovDocReferencia = document.getElementById('sMovDocReferencia').value;
						var Moneda_Id = document.getElementById('Moneda_Id').value;
						var nMovTipoCambio = document.getElementById('nMovTipoCambio').value;
						var nMovVendedor_Id = document.getElementById('nMovVendedor_Id').value;
						var dMovImporte = document.getElementById('dMovImporte').value;
						var dMovIGV = document.getElementById('dMovIGV').value;
						var dMovICBPER = document.getElementById('dMovICBPER').value;
						var dMovTotal = document.getElementById('dMovTotal').value;
						var dMovSaldo = document.getElementById('dMovTotal').value;
						var dMovDetraccion = document.getElementById('dMovDetraccion').value;
						var dMovPercepcion = document.getElementById('dMovPercepcion').value;
						var dMovRetencion = document.getElementById('dMovRetencion').value;
						var sMovObservacion = document.getElementById('sMovObservacion').value;
						var porcentaje_detraccion = document.getElementById('detraccion_id').value; // JC-2022-05-06
						var codigo_detraccion = $('#detraccion_id option:selected').data('codigo'); // JC-2022-05-06
						//    var nMovEstado = document.getElementById('nMovEstado').value;

						var notasVentas = document.getElementById('notasVentas').value;

						//$('#preloader').hide();

						$.post(
							'?c=Movimiento&a=GuardarMovimiento',
							{
								Movimiento_Id: Movimiento_Id,
								dMovFecha: dMovFecha,
								dias_credito: dias_credito,
								Tipomovimiento_Id: Tipomovimiento_Id,
								nMovTipopago: nMovTipopago,
								Almacen_Id: Almacen_Id,
								nMovTipoOrigenDestino: nMovTipoOrigenDestino,
								nMovOrigenDestino_Id: nMovOrigenDestino_Id,
								nMovTipodestino: nMovTipodestino,
								Documento_Id: Documento_Id,
								sMovDocumento: sMovDocumento,
								sMovDocReferencia: sMovDocReferencia,
								Moneda_Id: Moneda_Id,
								nMovTipoCambio: nMovTipoCambio,
								nMovVendedor_Id: nMovVendedor_Id,
								dMovImporte: dMovImporte,
								dMovIGV: dMovIGV,
								dMovICBPER: dMovICBPER,
								dMovTotal: dMovTotal,
								dMovSaldo: dMovSaldo,
								dMovDetraccion: dMovDetraccion,
								dMovPercepcion: dMovPercepcion,
								dMovRetencion: dMovRetencion,
								sMovObservacion: sMovObservacion,
								nMovOrdenCompra_Id: nMovOrdenCompra_Id,
								porcentaje_detraccion: porcentaje_detraccion,
								codigo_detraccion: codigo_detraccion,
								NotasVentas: notasVentas,
								importes: guardarImportes(),
								//        nMovEstado: nMovEstado
							},
							function (data) {
								$('#preloader').hide();

								// window.location.href = '?c=Movimiento&a=Index';
								/* data = JSON.parse(data);
						
							if(data.previsualizacion){
								previsualizacion(data.Movimiento_Id);
							}else if(data.enviarcomprobante){
								enviarcomprobante(data.Movimiento_Id);
							}else if(!display_modal_pago_efectivo){
								location.href='?c=Movimiento&a=Index';
							}
							
						
			
							if(display_modal_pago_efectivo){
								forcePago(data.Movimiento_Id,data.importe);
							}
							
							$("#resultado").html(data.print); */
								$('#resultado').html(data);
								Limpiar();
								ListarProductos();
								CalcularImpTotIGV();
								$('html, body').animate(
									{
										scrollTop: '0px',
									},
									1000
								);
							}
						);
					} else {
						$('#preloader').hide();
						swal(
							'Advertencia.',
							'El movimiento debe contener al menos un detalle',
							'warning'
						);
					}
				});
			}
		}
	);
}

function AvisoImpresionProductos() {
	var e = $('#alert_exceso');
	var cant = $('#productos_servicios tr').size();
	var max = parseInt(e.data('max'));
	//TODO POR DEFECTO VALOR DE DESTINO EN BIENES
	$('#nMovTipodestino').val(1);
	$('#nMovTipodestino').removeAttr('disabled');

	if (cant > max) {
		e.html(
			'<b>IMPORTANTE:</b> A partir de ' +
				(max + 1) +
				' productos, la impresi&oacute;n es por ticket (Hay ' +
				cant +
				' productos actualmente).'
		)
			.removeClass('hidden')
			.show('fast');
	} else {
		e.hide('fast');
	}
}

function ErrorCalculo() {
	// var e = $('#alert_error');
	var importe = $('#dMovImporte').val();
	var importe = importe.replace(',', '');
	var igv = $('#dMovIGV').val();
	var igv = igv.replace(',', '');
	var icbper = $('#dMovICBPER').val();
	var icbper = icbper.replace(',', '');
	var total = $('#dMovTotal').val();
	var total = total.replace(',', '');
	var sum = parseFloat(importe) + parseFloat(igv) + parseFloat(icbper);
	//
	if (sum.toFixed(2) != parseFloat(total)) {
		// e
		//     .html('<b>AVISO:</b> Hay un error en la sumatoria de los importes.')
		//     .removeClass('hidden')
		//     .show('fast');
		swal('Aviso.', 'Hay un error en la sumatoria de los importes.', 'warning');
		return;
		// return false;
	}
}

function AgregarProductoC() {
	// var nProSrvICBPer = document.getElementById('nProSrvICBPer').value;
	var nProSrvICBPer = $('#ProdServ_Id').find(':selected').data('icbper');
	var Almacen_Id = document.getElementById('Almacen_Id').value;
	var ProdServ_Id = document.getElementById('ProdServ_Id').value;
	var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
	var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
	var dMovDetConFechaVencimiento = document.getElementById('dMovDetConFechaVencimiento').value;
	var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
	var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
	var nMovDetPorcDescuento1 = document.getElementById('nMovDetPorcDescuento1').value;
	var nIncluyeIGV = 0;
	if ($('#nIncluyeIGV').prop('checked') == true) {
		nIncluyeIGV = 1;
	}

	if (sMovDetConCantidad > 0) {
		$.post(
			'?c=Movimiento&a=AgregarProductoC',
			{
				Almacen_Id: Almacen_Id,
				ProdServ_Id: ProdServ_Id,
				Unidadmedida_Id: Unidadmedida_Id,
				sMovDetConCantidad: sMovDetConCantidad,
				dMovDetConFechaVencimiento: dMovDetConFechaVencimiento,
				nMovDetConSubtotal: nMovDetConSubtotal,
				nMovDetConPrecioUnitario: nMovDetConPrecioUnitario,
				nIncluyeIGV: nIncluyeIGV,
				nProSrvExoneradoIGV: $('#nProSrvExoneradoIGV').val(),
				nProSrvICBPer: nProSrvICBPer,
				nMovDetPorcDescuento1: nMovDetPorcDescuento1,
			},
			function (data) {
				$('#resultado_ingresocompra').html(data); // Mostrar la respuestas del script PHP.
				LimpiarFrmProductos();
				ListarProductos();
				CalcularImpTotIGV();

				setTimeout(function () {
					$('.prod').fadeOut(500);
				}, 1000);

				//Delvuelvo el foco al producto
				$('#ProdServ_Id').focus();

				//Devolver precio y subtotal
				$('#nMovDetConPrecioUnitario').val(nMovDetConPrecioUnitario);
			}
		);
	} else {
		swal('La cantidad tiene que ser mayor a 0');
	}
	//    $.ajax({
	//        type: "POST",
	//        url: '?c=Movimiento&a=AgregarProductoC',
	//        data: $("#FrmIngresoCompra").serialize(), // Adjuntar los campos del formulario enviado.
	//        success: function (data)
	//        {
	//            $("#resultado_ingresocompra").html(data); // Mostrar la respuestas del script PHP.
	//            LimpiarFrmProductos();
	//            ListarProductos();
	//            CalcularImpTotIGV();
	//        }
	//    });
}

function ProductosUNILista() {
	var ProdServ_Id = document.getElementById('ProdServ_Id').value;
	$.post(
		'?c=Movimiento&a=ListarUnidades',
		{
			ProdServ_Id: ProdServ_Id,
		},
		function (data) {
			$('#Unidadmedida_Id').html(data);
			setTimeout(() => {
				$('#Unidadmedida_Id').change();
			}, 500);
		}
	);
}

function ListarProductos() {
	$.post('?c=Movimiento&a=ListarProductos', {}, function (data) {
		$('#productos_servicios').html(data);
		$(".nopromovido tr td input[type='text']").prop('readonly', true);
		AvisoImpresionProductos();
	});
}

function ListarProductosLote() {
	var nProSrvExoneradoIGV = $('#ProdServ_Id option:selected').data('exoneradoigv');
	var ProdServ_Id = document.getElementById('ProdServ_Id');
	$.post(
		'?c=Movimiento&a=ListarLoteProducto',
		{
			ProdServ_Id: ProdServ_Id.value,
		},
		function (data) {
			$('#lista_lotes').html(data);
			ProductosUNILista();
			$('#nProSrvExoneradoIGV').val(nProSrvExoneradoIGV);

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function TotalGravamen() {
	$.post('?c=Garantias&a=TotalGarantias', {}, function (data) {
		document.getElementById('').value = data;
	});
}

function CalcularImpTotIGV() {
	var Documento_Id = document.getElementById('Documento_Id').value;
	$.post(
		'?c=Movimiento&a=CalcularImpTotIGV',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			$('#resultado_productos').html(data);
			setTimeout(() => {
				$('#preloader').hide();
			}, 4000);
		}
	);
}

function CalcularImpTotIGV_venta() {
	var Documento_Id = document.getElementById('Documento_Id').value;
	$.post(
		'?c=Movimiento&a=CalcularImpTotIGV_venta',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			$('#resultado_productos').html(data);

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function CalcularSubtotal() {
	var decimales = document.getElementById('nro_decimales').value;
	var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
	var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
	var nMovDetPorcDescuento1 = $('#nMovDetPorcDescuento1').val();
	if (nMovDetPorcDescuento1 == '') {
		nMovDetPorcDescuento1 = 0;
	}
	document.getElementById('nMovDetConSubtotal').value = (
		sMovDetConCantidad * nMovDetConPrecioUnitario -
		nMovDetPorcDescuento1
	).toFixed(decimales);
}

function Tipomovimiento() {
	var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
	var fechahab = document.getElementById('fechahab').value;
	$.post(
		'?c=Movimiento&a=TipoMovimiento',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#FrmTipomovimiento').html(data);
			TipoDocumento(Tipomovimiento_Id);
			$('#Documento_Id').attr('disabled', false);
			if ($('#Tipomovimiento_Id').val() == 1) {
				$('#ordencompra_ref').css('display', 'show');
			} else {
				$('#ordencompra_ref').css('display', 'none');
			}
			CalcularImpTotIGV();
			if (fechahab == 1) {
				bloquearFecha();
			}

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function Tipomovimiento_venta() {
	var Tipomovimiento_Id = 2;
	$.post(
		'?c=Movimiento&a=TipoMovimiento',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#FrmTipomovimiento').html(data);
			TipoDocumento_vetna(Tipomovimiento_Id);
			CalcularImpTotIGV_venta();

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function TipoDocumento(Tipomovimiento_Id) {
	$.post(
		'?c=Tipodocumento&a=ListarConbobox',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#Documento_Id').html(data);
			NumeroDocumento();

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function TipoDocumento_vetna(Tipomovimiento_Id) {
	$.post(
		'?c=Tipodocumento&a=ListarConbobox',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#Documento_Id').html(data);
			NumeroDocumento_Venta();

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function TipoDocumentoEditar(nMovOrigenDestino_Id) {
	var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
	$.post(
		'?c=Tipodocumento&a=ListarConbobox',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#Documento_Id').html(data);
			$('#Documento_Id').attr('disabled', false);
			$('#nMovOrigenDestino_Id').val(nMovOrigenDestino_Id);

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function NumeroDocumento() {
	var Documento_Id = document.getElementById('Documento_Id').value;
	$.post(
		'?c=Tipodocumento&a=NumeroDocumento',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			document.getElementById('sMovDocumento').value = parseInt(data);
			AutomaticoSINO(Documento_Id);
			CalcularImpTotIGV();

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function NumeroDocumento_Venta() {
	var Documento_Id = document.getElementById('Documento_Id').value;
	$.post(
		'?c=Tipodocumento&a=NumeroDocumento',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			document.getElementById('sMovDocumento').value = parseInt(data);
			AutomaticoSINO(Documento_Id);
			CalcularImpTotIGV_venta();
		}
	);
}

function AutomaticoSINO(Documento_Id) {
	$.post(
		'?c=Tipodocumento&a=AutomaticoSINO',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			//        console.log(data);
			$('#resultado_productos').html(data);
		}
	);
}
var tipo_cache;
function TipoPrvClien() {
	var tipo = document.getElementById('nMovTipoOrigenDestino').value;
	if (tipo_cache == tipo) {
		return;
	} else {
		tipo_cache = tipo;
	}
	$.post(
		'?c=Clienteproveedor&a=TipoPrvClien',
		{
			tipo: tipo,
		},
		function (data) {
			$('#nMovOrigenDestino_Id').html(data);
			if ($('#Movimiento_Id').val() == 0) {
				$('#nMovOrigenDestino_Id').selectpicker('refresh');
			}
		}
	);
}

function EliminarProductoLista() {
	var Codigo_Producto = document.getElementById('Codigo_Producto').value;
	$.post(
		'?c=Movimiento&a=EliminarProductoLista',
		{
			Codigo_Producto: Codigo_Producto,
		},
		function (data) {
			$('#resultado').html(data);
			ListarProductos();
			CalcularImpTotIGV();
			$('#eliminar_productos').modal('hide');
		}
	);
}

function previsualizacion(Movimiento_Id) {
	$.post(
		'?c=Movimiento&a=Previsualizacion',
		{
			Movimiento_Id: Movimiento_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

$(document).ready(function () {
	$('#FormMovimiento').validate({
		rules: {
			dMovFecha: {
				required: true,
			},
			Tipomovimiento_Id: {
				required: true,
			},
			nMovTipopago: {
				required: true,
			},
			nMovTipoOrigenDestino: {
				required: true,
			},
			nMovOrigenDestino_Id: {
				required: true,
			},
			sMovObservacion: {
				maxlength: function () {
					var id_empresa = document.getElementById('id_empresa').value;
					if (id_empresa != '20440120149') {
						return 250;
					} else {
						return 800;
					}
				},
			},
		},
		messages: {
			sMovObservacion: {
				maxlength: 'Máximo de caracteres permitidos: 250',
			},
			dMovFecha: 'Campo requerido',
			Tipomovimiento_Id: 'Campo requerido',
			nMovTipopago: 'Campo requerido',
			nMovTipoOrigenDestino: 'Campo requerido',
			nMovOrigenDestino_Id: 'Campo requerido',
		},
	});
});

function enviarcomprobante(Movimiento_Id) {
	$('#btn-send-sunat').prop('disabled', true);
	$('#preloader').show();

	var nDocTipoImprimir = $('#nDocTipoImprimir').val();
	var tipo = null;
	switch (parseInt(nDocTipoImprimir)) {
		case 2:
			tipo = 'comprobantePDF';
			$.post(
				'?c=Movimiento&a=enviarcomprobante',
				{
					Movimiento_Id: Movimiento_Id,
				},
				function (data) {
					$('#resultado').html(data);
					$('#preloader').hide();
				}
			);
			break;
		case 1:
		default:
			tipo = 'comprobante';
			break;
	}
	$('#preloader').hide();

	var url =
		window.self.location.pathname + '?c=Movimiento&a=' + tipo + '&Movimiento_Id=' + Movimiento_Id;
	var f = '<form id="fxpdf" method="post" action="' + url + '" target="_blank"></form>';

	$('body').append(f);
	$('#fxpdf').submit();
}

function FrmEditarNotaCredito(Notacredito_Id) {
	$.post(
		'?c=Notacredito&a=FrmEditar',
		{
			Notacredito_Id: Notacredito_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function agregar_importe() {
	var fecha = $('#dMovPagFechaCuota').val();
	var importe = $('#nMovPagTotalCuota').val();
	if (!fecha) {
		alert('Ingrese una fecha, por favor.');
		return;
	}
	if (!importe) {
		alert('Ingrese un importe, por favor.');
		return;
	}

	console.log($('#FrmAgregarPagos').serializeArray());
	var datos = $('#FrmAgregarPagos').serializeArray();

	var conteo_contactos = $('#tabla_importes_agregados').children().length;
	var siguiente = conteo_contactos + 1;
	var contador = 1;
	var contadorsum = contador + 1;
	var row_contacto = '<tr id="row_contacto_' + siguiente + '">';
	// row_contacto += '<td style="display:none">0</td>';
	row_contacto += '<td style="display:none">' + siguiente + '</td>';
	row_contacto += '<td>' + datos[0].value + '</td>';
	row_contacto += '<td>' + datos[1].value + '</td>';
	row_contacto +=
		'<td><button id="quitar_importe" type="button" data-fila="' +
		datos[1].value +
		'" onclick="return quitar_contacto(' +
		siguiente +
		', ' +
		datos[1].value +
		')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-minus"></i></button></td>';
	row_contacto += '</tr>';

	$('#tabla_importes_agregados').append(row_contacto);
	$('#FrmAgregarPagos').trigger('reset');
	sumar_importes();
}

function quitar_contacto(id, importe) {
	// $('#row_importe_a_eliminar').val(id);
	// $('#modal_confirmareliminar_importe').modal('show');
	$('#row_contacto_' + id).remove();

	restar_importes(importe);
}

function quitar_pago_ok(id) {
	$('#row_contacto_' + id).remove();
	$('#modal_confirmareliminar_importe').modal('hide');
}

function sumar_importes() {
	importes_tabla = [];
	var cantidad_importes = $('#tabla_importes_agregados').children().length;

	for (var i = 0; i < cantidad_importes; i++) {
		importes_tabla.push({
			fecha: $('#tabla_importes_agregados').children()[i].children[1].innerHTML,
			importe: $('#tabla_importes_agregados').children()[i].children[2].innerHTML,
			nrocuota: $('#tabla_importes_agregados').children()[i].children[0].innerHTML,
		});
		var total = parseFloat($('#resultado_importes').val());

		$('#resultado_importes').val(
			total + parseFloat($('#tabla_importes_agregados').children()[i].children[2].innerHTML)
		);
	}
}

function restar_importes(importe) {
	var total = parseFloat($('#resultado_importes').val());
	var nMovPagTotalCuota = parseFloat($('#nMovPagTotalCuota').val());
	$('#resultado_importes').val(total - importe);
}

//TODO Actualizar onchange de los inputs de cantidad y precio
function movActualizarProducto(i) {
	$('#preloader').show();
	var col = $('#produpd-' + i + ' input');
	var cantidad = parseFloat(col[0].value);
	var precio = col[1].value;
	var cantidadesOriginales = JSON.parse(localStorage.getItem('cantidadesOriginales')) || [];
	var cantidadesDisponibles = JSON.parse(localStorage.getItem('cantidadesDisponibles')) || [];
	//obtener input de la tabla
	var inputCotizacion = col[0];

	if (parseInt(cantidadesOriginales[i]) < parseInt(cantidad)) {
		inputCotizacion.value = cantidadesOriginales[i];
		$('#preloader').hide();
		return swal({
			icon: 'warning',
			title: 'Advertencia!',
			text: 'Se ha excedido la cantidad disponible del producto',
		});
	}

	var haveMax = parseFloat(col[0].dataset.max);
	if (haveMax != undefined) {
		if (cantidad > haveMax) {
			$('#preloader').hide();
			alert('Cantidad maxima permitida por referencia de Orden de compra es: ' + haveMax);
			col[0].value = haveMax;
			movActualizarProducto(i);
			return;
		}
	}
	//3+5-5 = -2
	//Actualziar cantidad

	col.prop('disabled', true);
	$.post(
		'?c=Movimiento&a=ActualizarProductoC',
		{
			index: i,
			cantidad: cantidad,
			max: haveMax == undefined ? null : haveMax,
			precio: precio,
		},
		function (data) {
			//actualziar cantidad
			cantidadesDisponibles[i] = cantidad;
			localStorage.setItem('cantidadesDisponibles', JSON.stringify(cantidadesDisponibles));
			if (data == '1') {
				ListarProductos();
				CalcularImpTotIGV();
			}

			setTimeout(function () {
				$('.prod').fadeOut(500);
			}, 1000);
		}
	);
}

function MandarAlStore() {
	setTimeout(() => {
		let tabla = $('#productos_servicios tr').length;
		let cantidades = [];
		for (let i = 0; i < tabla; i++) {
			let col = $('#produpd-' + i + ' input');
			let cantidad = parseFloat(col[0].value);
			cantidades.push(cantidad);
		}
		localStorage.setItem('cantidadesOriginales', JSON.stringify(cantidades));
		localStorage.setItem('cantidadesDisponibles', JSON.stringify(cantidades));
	}, 3500);
}

function PromoverCotizacion(Movimiento_Id) {
	$.post(
		'?c=Movimiento&a=PromoverCotizacion',
		{
			Movimiento_Id: Movimiento_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function PromoverOrdenCompra(OrdenCompra_Id) {
	$.post(
		'?c=Movimiento&a=PromoverOrdenCompra',
		{
			OrdenCompra_Id: OrdenCompra_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
			// $('#Tipomovimiento_Id').val('2');
			// $('#Tipomovimiento_Id').selectpicker('refresh');

			//Cargar correlativo
			let cot = $('#correlativoFirsh').val();

			if (cot != '') {
				$('#sMovDocumento').val(cot);
			}

			setTimeout(() => {
				$('#Documento_Id').selectpicker('refresh');
				$('#sMovDocumento').val(cot);
			}, 10000);
		}
	);
}
function PromoverCanje(CanjeDocumentos) {
	//console.log(CanjeDocumentos.notas);
	$.post(
		'?c=Movimiento&a=PromoverCanje',
		{
			Notas: CanjeDocumentos.notas,
		},
		function (data) {
			$('.content-wrapper').html(data);
			$('#sMovDocReferencia').val('');
			$('#Documento_Id').val('1');
			$('#Documento_Id').selectpicker('refresh');
		}
	);
}

function PromoverMovimientoGRQuery(Movimiento_Id) {
	var f =
		'<form id="send_form_Movimiento" method="POST" action="?c=Guiaremision&a=Index"><input type="hidden" name="Movimiento_Id" value="' +
		Movimiento_Id +
		'"></form>';
	$('body').append(f);
	document.getElementById('send_form_Movimiento').submit();
}

function PromoverMovimientoGR(Movimiento_Id, controller) {
	$.post(
		'?c=' + controller + '&a=PromoverMovimientoGR',
		{
			Promover_Id: Movimiento_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}
