function FrmGuardarProduccion() {
	$.post('?c=Produccion&a=FrmGuardarProduccion', {}, function (data) {
		$('.content-wrapper').html(data);
	});
}
function FrmEditarProduccion(produccion_id) {
	$.post(
		'?c=Produccion&a=FrmEditarProduccion',
		{
			produccion_id: produccion_id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

function mostrarFormula(formula_Id) {
	$.post(
		'?c=Formula&a=mostrarFormula',
		{
			formula_Id: formula_Id,
		},
		function (data) {
			$('#ver_datos').html(data);
		}
	);
}

function limpiarFrm() {
	document.getElementById('formula_Id').value = '0';
	document.getElementById('sForNombre').value = '';
	document.getElementById('dForFecha').value = '';
	$('#nForProdResultante').prop('selectedIndex', 0);
	document.getElementById('sForDescripcion').value = '';
	$('#nForEstado').prop('selectedIndex', 0);
}

function GuardarFormula() {
	formulas_detalle = [];

	var formula_Id = document.getElementById('formula_Id').value;
	var sForNombre = document.getElementById('sForNombre').value;
	var dForFecha = document.getElementById('dForFecha').value;
	var nForProdResultante = document.getElementById('nForProdResultante').value.split('_')[0];
	var sForDescripcion = document.getElementById('sForDescripcion').value;
	var nForEstado = document.getElementById('nForEstado').value;

	var cantidad_detalle_for = $('#formulas_detalle').children().length;

	for (var i = 0; i < cantidad_detalle_for; i++) {
		formulas_detalle.push({
			// formula_Id: formula_Id,
			idDetFor: $('#formulas_detalle').children()[i].children[0].innerHTML,
			nForDetProducto: $('#formulas_detalle').children()[i].children[3].innerHTML,
			nForDetKg: $('#formulas_detalle').children()[i].children[2].innerHTML,
		});
	}

	var j_detalle_for = JSON.stringify(formulas_detalle);

	$.post(
		'?c=Formula&a=GuardarFormula',
		{
			formula_Id: formula_Id,
			sForNombre: sForNombre,
			dForFecha: dForFecha,
			nForProdResultante: nForProdResultante,
			sForDescripcion: sForDescripcion,
			nForEstado: nForEstado,
			detalle: j_detalle_for,
		},
		function (data) {
			$('#resultado').html(data);
			limpiarFrm();
			$('html, body').animate({ scrollTop: '0px' }, 1000);
		}
	);
}

function NumeroDocumento() {
	var Documento_Id = 19;
	$.post(
		'?c=Tipodocumento&a=NumeroDocumento',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			document.getElementById('sMovDocumento').value = parseInt(data);
			AutomaticoSINO();
		}
	);
}
function AutomaticoSINO() {
	$.post(
		'?c=Tipodocumento&a=AutomaticoSINO',
		{
			Documento_Id: 19,
		},
		function (data) {
			$('#resultado_productos').html(data);
		}
	);
}
//TODO AGREGUE
function GuardarProduccion() {
	//Validar si hay productos en la tabla
	if ($('.table tbody tr').length == 2) {
		return swal({
			title: 'Error',
			text: 'Debe agregar productos a la formula',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	//Validar el stock de los productos
	let isValid = true;
	for (let i = 0; i < $('#tablaProduccion tbody tr').length; i++) {
		let stockDB = $(
			"#modalnombreproductos option:contains('" +
				$('#tablaProduccion tbody').children()[i].children[0].innerHTML +
				"')"
		)
			.val()
			.split('_')[3];

		let stock = $('#tablaProduccion tbody').children()[i].children[1].innerHTML;

		if (parseInt(stock) > parseInt(stockDB)) {
			swal({
				title: 'Error',
				text:
					'No hay suficiente stock del producto ' +
					$('#tablaProduccion tbody').children()[i].children[0].innerHTML,
				icon: 'error',
				button: 'Aceptar',
			});
			isValid = false;
			break;
		}
	}

	if (!isValid) {
		return;
	}

	let tabla = [];
	let tamtabla = $('#tablaProduccion tbody tr').length;
	let nProdFormulaId = $('#nForProdResultante').val().split('_')[0];
	let productoIdResultante = $('#nForProdResultante').val().split('_')[1];
	let sUndAlias = $('#nForProdResultante').val().split('_')[2];
	let nProdCantProducir = $('#toneladas').val();
	let nProdNumero = $('#sMovDocumento').val();
	let dMovImporte = 0;
	let dMovIGV = 0;
	let dMovTotal = 0;

	//SACAR IMPORTE, IGV Y TOTAL
	for (let i = 0; i < tamtabla; i++) {
		let cantidad = parseFloat($('#tablaProduccion tbody').children()[i].children[1].innerHTML);
		let precio = parseFloat($('#tablaProduccion tbody').children()[i].children[4].innerHTML);
		dMovImporte += cantidad * precio;
	}

	dMovIGV = dMovImporte * 0.18;
	dMovTotal = dMovImporte + dMovIGV;

	//TODO! ESTATICO POR EL MOMENTO
	let nProdMovId = '1';

	for (var i = 0; i < tamtabla; i++) {
		tabla.push({
			nProdDetProductoId: $('#tablaProduccion tbody').children()[i].id,
			producto: $('#tablaProduccion tbody').children()[i].children[0].innerHTML,
			kg: $('#tablaProduccion tbody').children()[i].children[1].innerHTML,
			unidad: $('#tablaProduccion tbody').children()[i].children[2].innerHTML,
			lote: $('#tablaProduccion tbody').children()[i].children[3].innerHTML,
			costo: parseFloat($('#tablaProduccion tbody').children()[i].children[4].innerHTML),
			nProdDetLoteId: $('#tablaProduccion tbody').children()[i].children[6].innerHTML,
			nProLMonedaCompra_Id: $('#tablaProduccion tbody').children()[i].children[7].innerHTML,
			Almacen_Id: $('#tablaProduccion tbody').children()[i].children[8].innerHTML,
			cantidad: parseFloat($('#tablaProduccion tbody').children()[i].children[1].innerHTML),
			cantidadOriginal: parseFloat(
				$('#tablaProduccion tbody').children()[i].children[1].innerHTML
			),
		});
	}

	let JSONtabla = JSON.stringify(tabla);

	$('#preloader').fadeIn('slow');

	//obtener el id de la produccion
	let idproduccionEditar = $('#idproduccionEditar').val();

	$.post(
		'?c=Produccion&a=guardarProduccion',
		{
			formula_Id: nProdFormulaId,
			nProdCantProducir,
			productoIdResultante,
			nProdMovId,
			sUndAlias,
			detalle: JSONtabla,
			tam: tamtabla,
			nProdNumero,
			dMovImporte,
			dMovIGV,
			dMovTotal,
			idproduccionEditar,
		},
		function (data) {
			$('#preloader').fadeOut('slow');
			swal({
				title: data == 'true' ? 'Exito' : 'Error',
				text: data == 'true' ? 'Se guardo correctamente' : 'Ocurrio un error',
				icon: data == 'true' ? 'success' : 'error',
				button: 'Aceptar',
			});
			if (data == 'true') {
				window.location.href = '?c=Produccion&a=Index';
			}
		}
	);
}

function eliminarFila(id) {
	if ($('.table tbody tr').length <= 3) {
		$('.table').attr('style', 'display: none');
		$('#tbody_productos').html('');
		$('#btnagregarproducto').attr('disabled', true);
	} else {
		$('.table tbody').find(`#${id}`).remove();
	}
}

function editarFila(id) {
	let fila = $(`#${id}`);
	let nombre = fila.children()[0].innerHTML;
	let cantidad = fila.children()[1].innerHTML;
	let unidadMedida = fila.children()[2].innerHTML;
	let lote = fila.children()[3].innerHTML;
	let precio = fila.children()[4].innerHTML;

	$('#name_id_producto').val(nombre);
	$('#cantidad_id_producto').val(cantidad);
	$('#medida_id_producto').val(unidadMedida);
	$('#lote_id_producto').val(lote);
	$('#costo_id_producto').val(precio);
	$('#id_producto_editado').val(id);
	$('#modal_editarproducto').modal('show');
}

function editarProductoXId() {
	let id = $('#id_producto_editado').val();
	let fila = $(`#${id}`);
	let toneladas = $('#toneladas').val();

	let cantidadNueva = $('#cantidad_id_producto').val();

	fila.children()[1].innerHTML = cantidadNueva;

	$('#modal_editarproducto').modal('hide');
}

function generarTbody(data) {
	let toneladas = $('#toneladas').val();

	let html = ``;

	data.forEach((element) => {
		html += `
        <tr id="${element.ProdServ_Id}">
            <td>${element.sProSrvNombre}</td>
            <td>${parseFloat(element.nForDetCantidad * toneladas).toFixed(2)}</td>
            <td>${element.sUndAlias}</td>
            <td>${element.sProLNombreLote}</td>
            <td>${parseFloat(element.nProLPrecioL).toFixed(2)}</td>
            <td>
			<button type="button" class="btn btn-success btn-sm" onclick="editarFila(${
				element.ProdServ_Id
			})"><span class="glyphicon glyphicon-edit"></span></button>
                <button type="button" class="btn btn-danger btn-sm" onclick="eliminarFila(${
							element.ProdServ_Id
						})"><span class="glyphicon glyphicon-remove"></span></button>
						
            </td>
            <td style="display:none">${element.ProductoLote_Id}</td>
            <td style="display:none">${element.nProLMonedaCompra_Id}</td>
            <td style="display:none">${element.Almacen_Id}</td>
        </tr>
            `;
	});

	return html;
}

function calcularToneladas() {
	let formula = document.getElementById('nForProdResultante').value.split('_')[0];
	let toneladas = $('#toneladas').val();

	if (formula == '') {
		return swal({
			title: 'Error',
			text: 'Debe seleccionar una formula',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	if (toneladas.trim() == '') {
		return swal({
			title: 'Error',
			text: 'Debe ingresar la cantidad a producir',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	if (parseFloat(toneladas) <= 0) {
		return swal({
			title: 'Error',
			text: 'La cantidad a producir debe ser mayor a 0',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	$('#preloader').fadeIn('slow');

	$.post(
		'?c=Produccion&a=calcularToneladas',
		{
			id: formula,
		},
		function (data) {
			if (data == '[]') {
				$('.table').attr('style', 'display: none');
				$('#btnagregarproducto').attr('disabled', true);
				$('#tbody_productos').html('');
				$('#preloader').fadeOut('slow');
				return swal({
					title: 'Error',
					text: 'No se encontraron productos en la formula',
					icon: 'error',
					button: 'Aceptar',
				});
			}
			$('.table').removeAttr('style');
			$('#tbody_productos').html(generarTbody(JSON.parse(data)));
			$('#btnagregarproducto').removeAttr('disabled');
			$('#preloader').fadeOut('slow');
		}
	);
}

//Modal agregar producto
$('#btnagregarproducto').click(function () {
	//Limpiar inputs
	$('#modalnombreproductos').val('0');
	$('#kgproducto').val('');
	$('#modal_agregarproducto').modal('show');
});

function agregarProducto() {
	let producto = $('#modalnombreproductos').val();
	let cantidad = $('#kgproducto').val();
	let toneladas = $('#toneladas').val();

	if (producto == '0' || producto == null) {
		return swal({
			title: 'Error',
			text: 'Debe seleccionar un producto',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	if (cantidad.trim() == '') {
		return swal({
			title: 'Error',
			text: 'Debe ingresar la cantidad de producto',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	if (parseInt(cantidad) <= 0) {
		return swal({
			title: 'Error',
			text: 'Debe ingresar una cantidad valida',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	let [
		ProdServ_Id,
		sProSrvNombre,
		sProLNombreLote,
		nProLStockReal,
		nProLPrecioL,
		ProductoLote_Id,
		nProLMonedaCompra_Id,
		Almacen_Id,
		sUndAlias,
	] = $('#modalnombreproductos').val().split('_');

	//Validar que no exista en la tabla
	if ($(`#${ProdServ_Id}`).length > 0) {
		return swal({
			title: 'Error',
			text: 'El producto ya se encuentra agregado',
			icon: 'error',
			button: 'Aceptar',
		});
	}

	$(`#tbody_productos`).append(`
        <tr id=${ProdServ_Id}>
            <td>${sProSrvNombre}</td>
            <td>${parseFloat(cantidad * toneladas).toFixed(2)}</td>
            <td>${sUndAlias}</td>
            <td>${sProLNombreLote}</td>
            <td>${parseFloat(nProLPrecioL).toFixed(2)}</td>
			<td>
			<button type="button" class="btn btn-success btn-sm" onclick="editarFila(${ProdServ_Id})"><span class="glyphicon glyphicon-edit"></span></button>
                <button type="button" class="btn btn-danger btn-sm" onclick="eliminarFila(${ProdServ_Id})"><span class="glyphicon glyphicon-remove"></span></button>
            </td>
            <td style="display:none">${ProductoLote_Id}</td>
            <td style="display:none">${nProLMonedaCompra_Id}</td>
            <td style="display:none">${Almacen_Id}</td>
        </tr>
    `);

	$('#modal_agregarproducto').modal('hide');
}

function CambiarUnidad() {
	let option = document.getElementById('nForProdResultante').value;
	let etiqueta = document.getElementById('tn_produccion');

	if (option.length > 0) {
		let values = option.split('_')[2];
		etiqueta.innerHTML = `${values} a producir:`;
	}
}

function cambiarUnidadModal() {
	let option = document.getElementById('modalnombreproductos').value;
	let etiqueta = document.getElementById('label_cantidad_productos');

	if (option.length > 0) {
		let values = option.split('_')[8];
		etiqueta.innerHTML = `Cantidad en ${values}`;
	}
}

$('#btn-eliminar-produccion').click(function () {
	let movimiento_id = $('#id_movimiento_eliminar').val();
	let produccion_id = $('#id_produccion_eliminar').val();

	if (
		movimiento_id == '0' ||
		movimiento_id == null ||
		produccion_id == '0' ||
		produccion_id == null
	)
		return;

	$('#preloader').fadeIn('slow');

	$.post(
		'?c=Produccion&a=EliminarProduccion',
		{
			movimiento_id,
			produccion_id,
		},
		function (data) {
			let jsonData = JSON.parse(data);

			if (jsonData.ok == '1') {
				$('#modal-eliminar-produccion').modal('hide');
				swal({
					title: 'Correcto',
					text: `${jsonData.mensaje}`,
					icon: 'success',
					button: 'Aceptar',
				}).then((value) => {
					location.reload();
				});
			} else {
				$('#modal-eliminar-produccion').modal('hide');
				swal({
					title: 'Error',
					text: `${jsonData.mensaje}`,
					icon: 'error',
					button: 'Aceptar',
				});
			}

			$('#preloader').fadeOut('slow');
		}
	);
});

function EliminarProduccion(mov_id, prod_id) {
	$('#modal-eliminar-produccion').modal('show');
	$('#id_movimiento_eliminar').val(mov_id);
	$('#id_produccion_eliminar').val(prod_id);
}

function mostrarProduccion(produccion_id) {
	$.post(
		'?c=Produccion&a=mostrarProduccion',
		{
			produccion_id: produccion_id,
		},
		function (data) {
			$('#ver_datos_produccion').html(data);
		}
	);
}
