<style>
    .input-group-addon {
        background-color: #d73925 !important;
        color: #fff !important;
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Fórmulas
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Fórmulas</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-6">
            <div class="box">
                <form action="javascript:GuardarFormula();" method="POST" id="FrmClienteproveedor">
                    <div class="box-header">
                        <h3 class="box-title">Datos básicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <div class="col-md-12 form-group">
                                <input type="hidden" id="formula_Id" name="formula_Id" value="<?php echo isset($r) ? $r->__GET('formula_Id') : '0'; ?>">
                                <label>Nombre</label>
                                <input type="text" class="form-control" name="sForNombre" id="sForNombre" placeholder="Nombre fórmula" value="<?php echo isset($r) ? $r->__GET('sForNombre') : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group">
                                <label>Fecha</label>
                                <input type="text" class="form-control" name="dForFecha" id="dForFecha" placeholder="Fecha" value="<?php echo isset($r) ? $r->__GET('dForFecha') : date('d-m-Y'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dForFecha') : date('Y-m-d'); ?>">
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label">Producto resultante</label>
                                    <input type="hidden" id="inputresultante" value="<?php echo isset($r) ? $r->__GET('nForProdResultante') : '' ?>">
                                    <select class="form-control" onchange="CambiarUnidadMain()" name="nForProdResultante" id="nForProdResultante" data-live-search="true">
                                        <option value="" disabled selected>--Seleccione un producto--</option>
                                        <?php
                                        foreach ($productos as $ps) {
                                        ?>
                                            <option value="<?php echo $ps->__GET('ProdServ_Id') . '|' . $ps->__GET('sUndDescripcion'); ?>" <?php echo isset($r) ? $ps->__GET('ProdServ_Id') == $r->__GET('nForProdResultante') ? 'selected' : '' : ''; ?>><?php echo $ps->__GET('sProSrvNombre'); ?></option>
                                        <?php

                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12 form-group">
                                <label>Unidad Medida</label>
                                <span class="form-control" id="unidad_medida_producto" rows="3">Kg</span>
                            </div>
                            <div class="col-md-12 form-group">
                                <label>Descripción</label>
                                <textarea class="form-control" name="sForDescripcion" id="sForDescripcion" rows="3"><?php echo isset($r) ? $r->__GET('sForDescripcion') : ''; ?></textarea>
                            </div>
                            <div class="col-md-12 form-group">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4>&nbsp;&nbsp;Lista de fórmulas</h4>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-success" href="#" data-toggle="modal" data-target="#form-formula"><span class="glyphicon glyphiconglyphicon glyphicon-plus"></span>&nbsp;Agregar</a>
                                    </div>
                                </div>
                                <hr style="margin-top: 0px;">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped text-center">
                                        <thead>
                                            <tr>
                                                <th>Producto</th>
                                                <th>Cantidad</th>
                                                <th>Unidad de Medida</th>
                                                <th>Operaciones</th>
                                            </tr>
                                        </thead>
                                        <tbody id="formulas_detalle">
                                            <?php
                                            if (isset($lista_detalle_for)) {
                                                $contador_lista_formulas = 0;
                                                foreach ($lista_detalle_for as $value) {
                                                    $contador_lista_formulas++;
                                            ?>
                                                    <tr id="row_detfor_<?= $contador_lista_formulas ?>">
                                                        <td style="display:none"><?php echo $value->formuladetalle_Id ?></td>
                                                        <td><?= $value->sProSrvNombre ?></td>
                                                        <td><?= $value->nForDetCantidad ?></td>
                                                        <td><?= $value->MedidaNuevaAgregada ?></td>
                                                        <td style="display:none"><?= $value->nForDetProducto ?></td>
                                                        <td style="display:none"><?= $value->nForDetUM_Id ?></td>
                                                        <td>
                                                            <button type="button" onclick="return quitar_detfor('<?= $contador_lista_formulas ?>')" class="btn btn-xs btn-flat btn-danger">
                                                                <i class="fa fa-times"></i>
                                                            </button>
                                                        </td>
                                                    </tr>
                                            <?php
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="col-md-12 form-group">
                                <label>Estado</label>
                                <select class="form-control" name="nForEstado" id="nForEstado">
                                    <option value="1" <?php echo isset($r) ? $r->__GET('nForEstado') == 1 ? 'selected' : '' : ''; ?>>Habilitado</option>
                                    <option value="0" <?php echo isset($r) ? $r->__GET('nForEstado') == 0 ? 'selected' : '' : ''; ?>>Deshabilitado</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Guardar información</button>
                        <a href="?c=Formula&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<div class="modal fade" id="form-formula" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-conten-login">
            <form method="post" id="FrmAgregarFormula">
                <div class="modal-header d-flex align-items-center justify-content-between">
                    <h4 class="modal-title modal-title-solicitud">Añadir nueva fórmula</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group has-feedback" id="resultado-form-formula"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Producto</label>
                                        <select class="form-control" onchange="CambiarUnidad()" name="nForDetProducto" id="nForDetProducto" data-live-search="true">
                                            <option value="" disabled selected>--Seleccione un producto--</option>
                                            <?php
                                            foreach ($productos as $ps) {
                                            ?>
                                                <option value="<?php echo $ps->__GET('ProdServ_Id'); ?>|<?php echo $ps->__GET('sProSrvNombre'); ?>|<?php echo $ps->__GET('nProSrvUnidad_Id'); ?>|<?php echo $ps->__GET('sUndDescripcion'); ?>|<?php echo $ps->__GET('sUndAlias'); ?>"><?php echo $ps->__GET('sProSrvNombre'); ?></option>
                                            <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label id="namenForDetKg">Kilogramo</label>
                                        <input min="0" minlength="0" type="number" class="form-control" name="nForDetKg" id="nForDetKg" placeholder="0" value="<?php echo isset($r) ? $r->__GET('nForDetKg') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-center">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-primary" onclick="return agregar_formula_ok()">Añadir</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="modal_confirmareliminar_detfor" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form onsubmit="return false;" method="POST">
                <input type="hidden" id="row_detfor_a_eliminar" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Eliminar fórmula</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="codigo" id="codigo">
                    <input type="hidden" id="tabla_detalle_antes">
                    ¿Desea eliminar la fórmula de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="button" onclick="return quitar_detfor_ok($('#row_detfor_a_eliminar').val())" class="btn btn-danger btn-flat">Sí, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script type="text/javascript" src="view/librerias/dist/js/funcionesFormula.js"></script>
<script type="text/javascript">
    $('#dForFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $('#nForDetProducto').selectpicker('refresh');

    $(document).ready(function() {
        let inputResultante = $('#inputresultante').val();

        if (inputResultante.trim() != '') {
            let productoresultante = $('#nForProdResultante').val();
            let unidad_medida_producto = productoresultante.split('|')[1];
            let inputMedida = document.getElementById('unidad_medida_producto');
            inputMedida.innerHTML = unidad_medida_producto;
        }

        let formula_detalle_antes = [];
        let cantidad_formula_detalle_antes = $('#formulas_detalle').children().length;
        if (cantidad_formula_detalle_antes > 0) {
            for (let i = 0; i < cantidad_formula_detalle_antes; i++) {
                formula_detalle_antes.push({
                    idDetFor: $('#formulas_detalle').children()[i].children[0].innerHTML,
                    nForDetProducto: $('#formulas_detalle').children()[i].children[4].innerHTML,
                    nForDetCantidad: $('#formulas_detalle').children()[i].children[2].innerHTML,
                    nForDetUM_Id: $('#formulas_detalle').children()[i].children[5].innerHTML,
                });
            }
        }
        $('#tabla_detalle_antes').val(JSON.stringify(formula_detalle_antes));

        $('#nForProdResultante').selectpicker('refresh');
        $("#FrmClienteproveedor").validators({
            rules: {
                nProcliRUCDNI: {
                    required: true,
                    maxlength: 11
                },
                sProcliNombre: {
                    required: true,
                    maxlength: 250
                },
                sProcliNomComercial: {
                    required: true,
                    maxlength: 250
                },
                sProcliDireccion: {
                    required: true,
                    maxlength: 300
                },
                nProcliDiasCredito: {
                    required: true
                },
                sProcliCorreo: {
                    maxlength: 150
                },
                sProcliContacto: {
                    maxlength: 40
                },
                nProcliTelefono: {
                    maxlength: 50
                },
                nProcliDep: {
                    required: true
                },
                nProcliProv: {
                    required: true
                },
                nProcliDist: {
                    required: true
                }
            }
        })
    });

    function agregar_formula_ok() {

        var datos = $('#FrmAgregarFormula').serializeArray();
        var separar_values = datos[0].value.split('|');

        let inputnForDetKg = document.getElementById('nForDetKg').value;
        let selectnForDetProducto = document.getElementById('nForDetProducto').value;

        if (selectnForDetProducto == '') {
            swal({
                icon: 'error',
                title: "Error",
                text: "Debe seleccionar un producto",
                type: "error",
                confirmButtonText: "Aceptar"
            });

            return;
        }

        if (inputnForDetKg == '') {
            swal({
                icon: 'error',
                title: "Error",
                text: "Ingrese un valor para el producto",
                type: "error",
                confirmButtonText: "Aceptar"
            });
            return;
        }

        var conteo_formulas = $('#formulas_detalle').children().length;
        var siguiente = conteo_formulas + 1;
        var row_for = '<tr id="row_detfor_' + siguiente + '">';
        row_for += '<td style="display:none">0</td>';
        row_for += '<td>' + separar_values[1] + '</td>';
        row_for += '<td>' + datos[1].value + '</td>';
        row_for += '<td>' + separar_values[4] + '</td>';
        row_for += '<td style="display:none">' + separar_values[0] + '</td>';
        row_for += '<td style="display:none">' + separar_values[2] + '</td>';
        row_for += '<td><button type="button" onclick="return quitar_detfor(' + siguiente + ')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-times"></i></button></td>';
        row_for += '</tr>';

        //Validar que no este repetido
        var repetido = false;
        $('#formulas_detalle tr').each(function() {
            var id = $(this).find('td').eq(4).html();
            if (id == separar_values[0]) {
                repetido = true;
            }
        });

        if (repetido) {
            swal({
                icon: 'error',
                title: "Error",
                text: "El producto ya se encuentra en la lista",
                type: "error",
                confirmButtonText: "Aceptar"
            });
            return;
        }


        $('#formulas_detalle').append(row_for);
        $('#form-formula').modal('hide');
        $('#FrmAgregarFormula').trigger('reset');
        $('#nForDetProducto').selectpicker('refresh');
        $('#nForDetKg').val('');

    }

    function quitar_detfor(id) {
        $('#row_detfor_a_eliminar').val(id);
        $('#modal_confirmareliminar_detfor').modal('show');
    }

    function quitar_detfor_ok(id) {
        $('#row_detfor_' + id).remove();
        $('#modal_confirmareliminar_detfor').modal('hide');
    }

    function confirmar_quitar_detfor() {
        $('#row_' + $('#id_row').val()).remove();
        $('#modal_confirmareliminar_detfor').modal('hide');
    }
</script>