<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Producción
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Producción</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Producciones</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Produccion&a=Index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                                </div>
                            </form>
                        </div>
                        <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                            <a class="btn btn-primary btn-flat" onclick="FrmGuardarProduccion();">Nueva Producción</a>
                        </div>
                    </div>

                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Numero</th>
                                <th>Fecha</th>
                                <th>Producto resultante</th>
                                <th>Formula</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($producciones as $r) : ?>
                                <tr>
                                    <td><?php echo $r->nProdNumero; ?></td>
                                    <td><?php echo date('Y-m-d', strtotime($r->nProdFecha_Act)); ?></td>
                                    <td><?php echo $r->sProSrvNombre; ?></td>
                                    <td><?php echo $r->sForNombre; ?></td>
                                    <td>
                                        <?php
                                        if ($r->nProdEstado == '0') {
                                            echo '<span class="label label-danger">Anulado</span>';
                                        } else if ($r->nProdEstado == '1') {
                                            echo '<span class="label label-success">Habilitado</span>';
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <a class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-produccion" onclick="mostrarProduccion('<?php echo $r->produccion_id; ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>
                                        <!-- <a href="#" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarProduccion('');"><i class="fa fa-pencil"></i></a> -->
                                        <button <?php echo $r->nProdEstado == '0' ? 'disabled' : '' ?> onclick="EliminarProduccion(<?php echo $r->nProdMovId; ?>,<?php echo $r->produccion_id ?>)" class="btn btn-danger btn-flat btn-xs" data-codigo="<?php echo $r->produccion_id; ?>"><i class="fa fa-trash-o"></i></button>
                                    </td>
                                </tr>
                            <?php endforeach; ?>

                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Numero</th>
                                <th>Fecha</th>
                                <th>Producto resultante</th>
                                <th>Formula</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Clienteproveedor&a=PDFCliente" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Ver Fórmula</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar-produccion" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                    <h4 class="modal-title" id="modal-eliminar-label">Anular</h4>
                                </div>
                                <div class="modal-body">
                                    <input type="hidden" id="id_movimiento_eliminar" value="">
                                    <input type="hidden" id="id_produccion_eliminar" value="">
                                    ¿Estás seguro que desea anular la producción?
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                    <button id="btn-eliminar-produccion" type="submit" class="btn btn-danger btn-flat">Sí, eliminar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="modal-produccion" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Clienteproveedor&a=PDFCliente" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Ver Produccion</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="ver_datos_produccion">

                    </table>
                </div>
                <div class="modal-footer">
                    <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesProduccion.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>