<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Reporte de Clientes por Ubigeo
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Clientexubigeo</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Clientes por Ubigeo</h3>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=ClientesxUbigeo" method="POST">
                                <input type="hidden" id="departamento_id" name="departamento_id" value="<?php echo isset($_POST['nProcliDep']) ? $_POST['nProcliDep'] : '0'; ?>">
                                <input type="hidden" id="provincia_id" name="provincia_id" value="<?php echo isset($_POST['nProcliProv']) ? $_POST['nProcliProv'] : '0'; ?>">
                                <input type="hidden" id="distrito_id" name="distrito_id" value="<?php echo isset($_POST['nProcliDist']) ? $_POST['nProcliDist'] : '0'; ?>">

                                <div class="row">
                                    <div class="col-md-3">
                                        Cliente<br />
                                        <select class="form-control selectpicker" id="OrigenDestino_Id" name="OrigenDestino_Id" data-live-search="true">
                                            <option value="0">Seleccionar Cliente</option>
                                            <?php
                                            foreach ($clientes as $cli) :
                                            ?>
                                                <option value="<?php echo $cli->__GET('OrigenDestino_Id'); ?>" <?php echo isset($_POST['OrigenDestino_Id']) ? $_POST['OrigenDestino_Id'] == $cli->__GET('OrigenDestino_Id') ? 'selected' : '' : '' ?>><?php echo $cli->__GET('sODNombre'); ?></option>
                                            <?php
                                            endforeach;
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="row">
                                            <div class="col-md-4 form-group">
                                                <label>Departamento</label>
                                                <select class="form-control" name="nProcliDep" id="nProcliDep" onchange="provincias(this.value)">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4 form-group">
                                                <label>Provincia</label>
                                                <select class="form-control" name="nProcliProv" id="nProcliProv" disabled="disabled" onchange="distritos(this.value)">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4 form-group">
                                                <label>Distrito</label>
                                                <select class="form-control" name="nProcliDist" id="nProcliDist" disabled="disabled">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-5">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <a class="btn btn-success btn-flat" href="#" id="click-export-excel">Exportar Excel</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Hora</th>
                                <th>Documento</th>
                                <th>RUC</th>
                                <th>Cliente</th>
                                <th>Ubigeo</th>
                                <th>Tipo Pago</th>
                                <th>Moneda</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Pendiente Pago</th>
                                <th>Estado</th>
                                <th>Estado Sunat</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><?php echo $r->__GET('valor03'); ?></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                    <td>

                                        <?php switch ($r->__GET('valor13')) {

                                            case 'Anulado':
                                                echo '<span class="label label-danger">Anulado</span>';
                                                break;
                                            case 'Registrado':
                                                echo '<span class="label label-warning">Registrado</span>';
                                                break;
                                            case 'Pagado':
                                                echo '<span class="label label-success">Pagado</span>';
                                                break;
                                        }
                                        ?>

                                    </td>
                                    <td>
                                        <?php switch ($r->__GET('valor14')) {

                                            case 'Anulado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'No enviado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'Validado':
                                                echo '<span class="label label-success">Validado</span>';
                                                break;
                                            case 'Rechazado':
                                                echo '<span class="label label-danger">Rechazado</span>';
                                                break;
                                            case 'Baja':
                                                echo '<span class="label label-danger">Baja</span>';
                                                break;
                                        } ?>
                                    </td>

                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript">
    var reportes_excel = (function(reportes_excel, undefined) {
        var URLactual = window.location.host;
        var table;
        var rep_nombre;
        var tits = [];
        reportes_excel.Nombre = function(n) {
            rep_nombre = n;
        };
        _GetTitles = function() {
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            var titulos = [];
            for (var i = 0; i < tablecolumns.length; i++) {
                titulos.push(tablecolumns[i].innerHTML)
            }
            tits = titulos;
            return titulos;
        };
        _GetData = function() {
            var titulos = _GetTitles();
            var titx = [];
            for (i = 0; i < titulos.length; i++) {
                titx[i] = titulos[i].replace(/[^a-zA-Z\d]/g, '');
            }
            var datos = [];
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            //for (var r = 0; r < table.fnGetData().length; r++) {
            var filtered = table._('tr', {
                "filter": "applied"
            });
            for (var r = 0; r < filtered.length; r++) {
                var data = {};
                for (var c = 0; c < tablecolumns.length; c++) {
                    //var value = table.fnGetData(r, c);
                    var value = filtered[r][c];
                    data[titx[c]] = value.replace(/(<([^>]+)>)/ig, "").replace(/\s\s+/, '').trim();
                }
                datos.push(data);
            }
            return datos;
        }
        _DownloadExcelXLS = function(titulos, data, fini, ffin) {
                var url = window.self.location.pathname + '?c=Reportes&a=DescargarExcel';

                var f = $('<form/>')
                    .attr('id', 'fxpdf')
                    .attr('method', 'post')
                    .attr('action', url)
                    .attr('target', '_blank');

                var inp = $('<input/>')
                    .attr('type', 'hidden');

                f.append(inp.clone().attr({
                    name: 'nombre',
                    value: rep_nombre
                }));
                f.append(inp.clone().attr({
                    name: 'titulos',
                    value: titulos
                }));
                f.append(inp.clone().attr({
                    name: 'data',
                    value: data
                }));
                f.append(inp.clone().attr({
                    name: 'fechaInicio',
                    value: fini
                }));
                f.append(inp.clone().attr({
                    name: 'fechaFin',
                    value: ffin
                }));
                //console.log(f.html());
                $('body').append(f);
                $('#fxpdf').submit();
                $('#fxpdf').remove();
            },
            _DownloadExcel2 = function() {
                var titulos = _GetTitles();
                titulos = JSON.stringify(titulos);
                var data = _GetData();
                data = JSON.stringify(data);
                var fini = $('#fechaIni').val();
                var ffin = $('#fechaFin').val();

                _DownloadExcelXLS(titulos, data, fini, ffin);
            },
            reportes_excel.Excel = function() {
                $("#click-export-excel").click(function() {
                    $('#preloader').fadeIn('slow');
                    //_DownloadExcel();
                    _DownloadExcel2();
                    $('#preloader').fadeOut('slow');
                    $('body').css({
                        'overflow': 'visible'
                    });
                });
            },
            reportes_excel.datepicker = function(InputId) {
                $('#' + InputId).datetimepicker({
                    viewMode: 'days',
                    format: 'DD-MM-YYYY'
                });
            },
            reportes_excel.TableData = function(DivId) {

                if ($.fn.dataTable.isDataTable('#' + DivId)) {
                    table = $("#" + DivId).dataTable();
                } else {
                    table = $("#" + DivId).dataTable({
                        "footerCallback": function(row, data, start, end, display) {
                            var api = this.api(),
                                data;

                            // Remove the formatting to get integer data for summation
                            var intVal = function(i) {
                                return typeof i === 'string' ?
                                    i.replace(/[\$,]/g, '') * 1 :
                                    typeof i === 'number' ?
                                    i : 0;
                            };

                            // Total over all pages
                            total = api
                                .column(10)
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Total over this page
                            pageTotal = api
                                .column(10, {
                                    page: 'current'
                                })
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Update footer
                            $(api.column(10).footer()).html(
                                // total.toString().match(/\d+(\.\d{1,2})?/g)[0]
                                'S/.' + pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] + ' (Total general: S/.' + total.toString().match(/\d+(\.\d{1,2})?/g)[0] + ')'
                            );
                        },
                        scrollX: true,
                        language: {
                            search: 'Buscar',
                            lengthMenu: 'Visualizar _MENU_ registro por página',
                            zeroRecords: 'No hay información para mostrar.',
                            info: 'Página _PAGE_ de _PAGES_ de _MAX_',
                            infoEmpty: 'Página _PAGE_ - _PAGES_ de _MAX_ registros',
                            infoFiltered: '(filtrado de _MAX_ registros)',
                            paginate: {
                                previuos: 'Anterior',
                                next: 'Siguiente'
                            }
                        }

                    });

                }
                return table;
            };
        reportes_excel.clickexcel = () => {
            $("#click-export-excel").click((e) => {
                var tableData = [{
                    "sheetName": "Sheet1",
                    "data": []

                }];
                var tablecolumns = table.api().columns().header(); //[1].innerHTML
                var columns = [];
                for (var i = 0; i < tablecolumns.length; i++) {
                    columns.push({
                        'text': tablecolumns[i].innerHTML
                    })
                }
                tableData[0].data.push(columns);
                for (var r = 0; r < table.fnGetData().length; r++) {
                    var newitem = [];
                    for (var c = 0; c < tablecolumns.length; c++) {
                        var value = table.fnGetData(r, c);
                        console.log(value);
                        newitem.push({
                            'text': value.replace(/<[^>]*>?/g, '')
                        })
                    }
                    tableData[0].data.push(newitem);
                }
                var options = {
                    fileName: 'REPORTE-' + new Date().getFullYear() + '' + (new Date().getMonth() + 1) + '' + new Date().getDay() + '' + new Date().getHours() + '' + new Date().getMinutes() + '' + new Date().getSeconds()
                };
                console.log(tableData);
                return;
                Jhxlsx.export(tableData, options);
            });
        };

        return reportes_excel;
    })(reportes_excel || {});

    $(document).ready(function() {
        reportes_excel.Nombre('Ventasxcliente');
        reportes_excel.datepicker('fechainicio');
        reportes_excel.datepicker('fechafin');
        reportes_excel.TableData("example1");
        reportes_excel.Excel();
        // $('#nProcliDep').trigger('change');
        var dep_id = $('#departamento_id').val();
        var prov_id = $('#provincia_id').val();
        var dist_id = $('#distrito_id').val();

        departamento(<?php echo isset($r) ? "'" . $r->__GET('nProcliDepId') . "'" : null; ?>);
        if (dep_id != 0) {


            provincias(dep_id, prov_id)
            distritos(prov_id, dist_id, dep_id)

        }

    });

    $('#fechaIni').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY',
    });
    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY',
    });


    function departamento(dep = null) {
        var selectDep = $('#nProcliDep');
        var dep_id = $('#departamento_id').val();
        // console.log(dep_id);
        $.post('?c=Ubigeo&a=departamentos', {}, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dep + '" data-name="' + item.nombre + '" ' + (dep_id != 0 ? dep_id == item.dep ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDep.html(options);
        });
        // if (dep_id != 0) {
        //     $("#nProcliDep").val('01');


        // }

    }

    function provincias(dep, prov = null) {
        var selectProv = $('#nProcliProv');
        var prov_id = $('#provincia_id').val();
        $('#nProcliDist').prop('disabled', true);
        $('#nProcliDist').val('');
        $.post('?c=Ubigeo&a=provincias', {
            dep: dep
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                // console.log(item.prov + '|' + prov);
                options += '<option value="' + item.prov + '" data-name="' + item.nombre + '" ' + (prov_id != 0 ? prov_id == item.prov ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectProv.html(options);
            var value = $('#nProcliDep').val();
            console.log(value, 'acá');
            if (prov == null) {
                $('#nProcliProv').val('');
            }
            $('#nProcliProv').prop('disabled', (value != '') ? false : true);
        });
    }

    function provincias_auto(dep, prov = null, objeto_domicilio) {
        var selectProv = $('#nProcliProv');

        var prov_id = $('#provincia_id').val();
        $('#nProcliDist').prop('disabled', true);
        $('#nProcliDist').val('');
        $.post('?c=Ubigeo&a=provincias', {
            dep: dep
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                // console.log(item.prov + '|' + prov);
                options += '<option value="' + item.prov + '" data-name="' + item.nombre + '" ' + (prov_id != 0 ? prov_id == item.prov ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectProv.html(options);
            var value = $('#nProcliDep').val();
            // console.log(value, 'acá');
            if (prov == null) {
                $('#nProcliProv').val('');
            }
            $('#nProcliProv').prop('disabled', (value != '') ? false : true);


            Seleccionar('#nProcliProv', objeto_domicilio.provincia);
            var pro_codigo = $("#nProcliProv option:selected").val();

            distritos_auto(pro_codigo, null, null, objeto_domicilio.distrito);
        });
    }

    function distritos(prov, dist = null, dep = null) {
        var selectDist = $('#nProcliDist');
        var dist_id = $('#distrito_id').val();
        $.post('?c=Ubigeo&a=distritos', {
            dep: dep != null ? dep : $('#nProcliDep').val(),
            prov: prov
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dist + '" data-name="' + item.nombre + '" ' + (dist_id != 0 ? dist_id == item.dist ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDist.html(options);
            var value = $('#nProcliProv').val();
            if (dist == null) {
                $('#nProcliDist').val('');
            }
            $('#nProcliDist').prop('disabled', value != '' ? false : true);
        });
    }

    function distritos_auto(prov, dist = null, dep = null, nombre_distrito) {
        var selectDist = $('#nProcliDist');
        var dist_id = $('#distrito_id').val();
        $.post('?c=Ubigeo&a=distritos', {
            dep: dep != null ? dep : $('#nProcliDep').val(),
            prov: prov
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dist + '" data-name="' + item.nombre + '" ' + (dist_id != 0 ? dist_id == item.dist ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDist.html(options);
            var value = $('#nProcliProv').val();
            if (dist == null) {
                $('#nProcliDist').val('');
            }
            $('#nProcliDist').prop('disabled', value != '' ? false : true);

            Seleccionar('#nProcliDist', nombre_distrito);
        });
    }
</script>