function FrmGuardarFormula() {
	$.post('?c=Formula&a=FrmGuardarFormula', {}, function (data) {
		$('.content-wrapper').html(data);
	});
}
function FrmEditarFormula(formula_Id) {
	$.post(
		'?c=Formula&a=FrmEditarFormula',
		{
			formula_Id: formula_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}
function mostrarFormula(formula_Id) {
	$.post(
		'?c=Formula&a=mostrarFormula',
		{
			formula_Id: formula_Id,
		},
		function (data) {
			$('#ver_datos').html(data);
		}
	);
}
function limpiarFrm() {
	document.getElementById('formula_Id').value = '0';
	document.getElementById('sForNombre').value = '';
	let fechaActual = new Date();
	let anio = fechaActual.getFullYear();
	let mes = String(fechaActual.getMonth() + 1).padStart(2, '0');
	let dia = String(fechaActual.getDate()).padStart(2, '0');
	let fechaFormateada = `${dia}-${mes}-${anio}`;
	$('#dForFecha').val(fechaFormateada);
	$('#nForProdResultante').val('');
	$('#nForProdResultante').selectpicker('refresh');
	document.getElementById('sForDescripcion').value = '';
	$('#formulas_detalle').html('');
	$('#nForEstado').prop('selectedIndex', 0);
}
function GuardarFormula() {
	formulas_detalle = [];

	var formula_Id = document.getElementById('formula_Id').value;
	var sForNombre = document.getElementById('sForNombre').value;
	var dForFecha = document.getElementById('dForFecha').value;
	var [nForProdResultante, nForProdResultanteMedida] = document
		.getElementById('nForProdResultante')
		.value.split('|');

	var sForDescripcion = document.getElementById('sForDescripcion').value;
	var nForEstado = document.getElementById('nForEstado').value;
	let formula_detalle_antes = $('#tabla_detalle_antes').val();
	var cantidad_detalle_for = $('#formulas_detalle').children().length;

	for (var i = 0; i < cantidad_detalle_for; i++) {
		formulas_detalle.push({
			// formula_Id: formula_Id,
			idDetFor: $('#formulas_detalle').children()[i].children[0].innerHTML,
			nForDetProducto: $('#formulas_detalle').children()[i].children[4].innerHTML,
			nForDetCantidad: $('#formulas_detalle').children()[i].children[2].innerHTML,
			nForDetUM_Id: $('#formulas_detalle').children()[i].children[5].innerHTML,
		});
	}

	var j_detalle_for = JSON.stringify(formulas_detalle);
	let j_detalle_antes_for = JSON.parse(formula_detalle_antes);

	//Filtrar los elementos que se eliminaron
	let j_detalle_for_filtrado = [];

	if (j_detalle_antes_for.length > 0) {
		j_detalle_for_filtrado = j_detalle_antes_for.filter(({ idDetFor }) => {
			return !formulas_detalle.some((obj) => {
				return obj.idDetFor === idDetFor;
			});
		});
	}

	//Validaciones

	if (sForNombre.length <= 0) {
		swal({
			title: 'Error',
			text: 'El campo nombre no puede estar vacio',
			icon: 'error',
			button: 'Aceptar',
		});
		return;
	}

	if (nForProdResultante.length <= 0) {
		swal({
			title: 'Error',
			text: 'Debe seleccionar un producto resultante',
			icon: 'error',
			button: 'Aceptar',
		});
		return;
	}

	if (cantidad_detalle_for <= 0) {
		swal({
			title: 'Error',
			text: 'Debe agregar al menos un producto a la formula',
			icon: 'error',
			button: 'Aceptar',
		});
		return;
	}

	$.post(
		'?c=Formula&a=GuardarFormula',
		{
			formula_Id: formula_Id,
			sForNombre: sForNombre,
			dForFecha: dForFecha,
			nForProdResultante: nForProdResultante,
			sForDescripcion: sForDescripcion,
			nForEstado: nForEstado,
			detalle: j_detalle_for,
			formula_detalle_antes,
			j_detalle_for_filtrado: JSON.stringify(j_detalle_for_filtrado),
		},
		function (data) {
			if (data.includes('Exito')) {
				swal({
					title: 'Exito',
					text: 'La formula se guardo correctamente',
					icon: 'success',
					button: 'Aceptar',
				});
				limpiarFrm();
				$('html, body').animate({ scrollTop: '0px' }, 1000);
			} else {
				swal({
					title: 'Error',
					text: 'Ocurrio un error al guardar la formula',
					icon: 'error',
					button: 'Aceptar',
				});
			}
		}
	);
}

function CambiarUnidad() {
	let option = document.getElementById('nForDetProducto').value;
	let etiqueta = document.getElementById('namenForDetKg');

	if (option.length > 0) {
		let values = option.split('|')[3];
		etiqueta.innerHTML = values[0].toUpperCase() + values.slice(1).toLowerCase();
	}
}

function CambiarUnidadMain() {
	let option = document.getElementById('nForProdResultante').value;
	let etiqueta = document.getElementById('unidad_medida_producto');

	if (option.length > 0) {
		let values = option.split('|')[1];
		etiqueta.innerHTML = values[0].toUpperCase() + values.slice(1).toLowerCase();
	}
}
