<style type="text/css">
    table.cabecera,
    td.cabecera_logo,
    td.cabecera_membrete,
    table.dirigido,
    table.tabla_productos,
    table.tabla_productos_items,
    table.tabla_productos_items_interna,
    table.abajo,
    table.importes_finales,
    table.abajo_izquierda_contenido,
    table.vendedor_condicion,
    table.disclaimer {
        /*border: 1px solid #000;*/
        width: 100%;
    }

    table.dirigido,
    table.tabla_productos,
    table.disclaimer {
        border: 2px solid #000;
        border-radius: 15px;
    }

    td.dirigido_contenido {
        padding: 5px;
    }

    td.fechaemision {
        text-align: right;
    }

    td.cabecera_logo {
        width: 60%;
        text-align: center;
    }

    td.cabecera_membrete {
        width: 40%;
        border: 2px solid #000;
        border-radius: 15px;
        text-align: center;
    }

    td.abajo_importes {
        width: 40%;
        border: 2px solid #000;
        border-radius: 15px;
    }

    table.importes_finales {
        padding: 0px 6% 0px 6%;
    }

    td.importe_value {
        text-align: right;
    }

    table.cuotas {
        border: 2px solid #000;
        width: 100%;
    }

    td.QR {
        width: 20%;
    }

    td.cuotas_obs {
        width: 80%;
    }

    td.vendedor_condicion_contenido {
        text-align: center;
    }
</style>
<page>
    <table class="cabecera">
        <tr>
            <td class="cabecera_logo">
                <img src="logo.png" /><br />
                <span style="font-size: 17px; font-weight: bold">COMERCIO FEDERAL DEL PACIFICO E.I.R.L</span><br />
                <span style="font-size: 13px">AV. GUARDIA CIVIL NRO. 831A INT. C URB. LA CAMPIÑA ZONA</span><br />
                <span style="font-size: 13px">CUATRO LIMA - LIMA - CHORILLOS</span><br />
                <span style="font-size: 13px">Tlf. : 01- 7700906 / 933 622 196 / 925 063 750</span><br />
                <span style="font-size: 13px">www.cofel.com.pe</span>
            </td>
            <td class="cabecera_membrete">
                RUC : <?= $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?><br /><br />
                <?php echo $r->__GET('sDocNombre'); ?><br /><br />
                <?php echo $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento'); ?>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="fechaemision">
                <b>Fecha emisi&oacute;n</b> <?= date('d/m/Y', strtotime($r->__GET('dMovFecha'))) ?>
            </td>
        </tr>
    </table>
    <table class="dirigido">
        <tr>
            <td class="dirigido_contenido">
                <b>Se&ntilde;ores:</b> <?= $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?><br /><br />
                <b>Direcci&oacute;n:</b> <?= $this->DireccionClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?><br /><br />
                <b>RUC:</b> <?= $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?> &nbsp;&nbsp;&nbsp;
                <b>Nro de Orden de Compra:</b> <?= $r->__GET('sMovDocReferencia') ?> &nbsp;&nbsp;&nbsp;
                <b>N° Gu&iacute;a de remisi&oacute;n:</b> <?= $r->__GET('nroguia_ref') ?>
            </td>
        </tr>
    </table>
    <br />
    <?php
    if ($valor === "1") {
        $importe_igv = 1.18;
    } else {
        $importe_igv = 1;
    }
    ?>
    <table class="tabla_productos">
        <tr class="cabecera_titulos">
            <th style="width:10%; text-align:center">C&oacute;digo</th>
            <th style="width:15%; text-align:center">Cant</th>
            <th style="width:55%; text-align:center">Descripci&oacute;n</th>
            <th style="width:10%; text-align:center">Precio Unit.</th>
            <th style="width:10%; text-align:center">Importe</th>
        </tr>
    </table>

    <?php
    $gravado = 0;
    $nogravado = 0;
    $exonerado = 0;
    ?>
    <table class="tabla_productos_items">
        <tr>
            <td style="width:100%;height:50px;vertical-align: top;">
                <table class="tabla_productos_items_interna">
                    <?php foreach ($detalle_movimiento as $detmov) { ?>
                        <?php
                        switch ($detmov['nProSrvExoneradoIGV']) {
                            case '0':
                                if ($detmov['dMovDetICBPER'] == 0) {
                                    $gravado += $detmov['nMovDetImporte'];
                                }
                                break;
                            case '1':
                                $exonerado += $detmov['nMovDetImporte'];
                                break;
                            case '2':
                                $nogravado += $detmov['nMovDetImporte'];
                                break;
                        }
                        ?>
                        <tr>
                            <td style="width:10%; text-align:center"><?= $detmov['sProSrvCodigo2'] ?></td>
                            <td style="width:15%; text-align:center"><?= $detmov['nMovDetCantidad'] ?></td>
                            <td style="width:55%; text-align:center"><?= $detmov['sProSrvNombre'] ?></td>
                            <td style="width:10%; text-align:center"><?= number_format($detmov['nMovDetPrecioUnitario'], $decimales, ".", ",") ?></td>
                            <td style="width:10%; text-align:center"><?= number_format($detmov['nMovDetImporte'] * $importe_igv, $decimales, ".", ",") ?></td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>

    </table>
    <hr />
    <table class="abajo">
        <tr>
            <td class="abajo_izquierda">
                <table class="abajo_izquierda_contenido">
                    <tr>
                        <td colspan="2">SON:</b>&nbsp;&nbsp;<?php echo $r->__GET('NumeroLetras'); ?></td>
                    </tr>
                    <tr>
                        <td class="QR">
                            <?php
                            $dataText = $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento');
                            $dataText = $toPrint;
                            $svgTagId = 'id-of-svg';
                            $saveToFile = false;
                            $imageWidth = 130; // px        
                            // SVG file format support
                            $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);
                            echo $svgCode;
                            ?>
                        </td>
                        <td class="cuotas_obs">
                            <?php if ($r->__GET('nMovTipopago') == 2) { ?>

                                <table class="cuotas">
                                    <tr>
                                        <td>N°</td>
                                        <td>CUOTA</td>
                                        <td>MONTO</td>
                                    </tr>
                                    <?php foreach ($pagos_movimiento as $pm) { ?>
                                        <tr>
                                            <td><?php echo $pm->__GET('nMovPagNroCuota') ?></td>
                                            <td><?php echo $pm->__GET('dMovPagFechaCuota') ?></td>
                                            <td><?php echo $pm->__GET('nMovPagTotalCuota') ?></td>
                                        </tr>
                                    <?php } ?>
                                </table>
                            <?php } ?>
                            <b>Observaciones:</b><br />
                            <?= nl2br($observacion) ?>
                        </td>
                    </tr>
                </table>
            </td>
            <td class="abajo_importes">
                <table class="importes_finales">
                    <tr>
                        <td class="importe_tag"><b>Total operaciones:</b></td>
                        <td class="importe_value"><?= number_format($gravado, 2, '.', ',') ?></td>
                    </tr>
                    <tr>
                        <td class="importe_tag"><b>IGV (18%):</b></td>
                        <td class="importe_value"><?= number_format($r->__GET('nMovIGV'), 2, '.', ',') ?></td>
                    </tr>
                    <tr>
                        <td class="importe_tag"><b>Importe Total:</b></td>
                        <td class="importe_value"><?= number_format($r->__GET('nMovTotal'), 2, '.', ',') ?></td>
                    </tr>
                    <tr>
                        <td class="importe_tag"><b>Retenci&oacute;n:</b></td>
                        <td class="importe_value"><?= number_format($r->__GET('dMovRetencion'), 2, '.', ',') ?></td>
                    </tr>
                    <tr>
                        <td class="importe_tag"><b>Monto neto a pagar:</b></td>
                        <td class="importe_value"><?= number_format($r->__GET('nMovTotal') - $r->__GET('dMovRetencion'), 2, ".", "") ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <table class="vendedor_condicion">
        <tr>
            <td class="vendedor_condicion_contenido">
                <b>Vendedor:</b>&nbsp;&nbsp;
                <?= $r->__GET('sVenNom') ?> &nbsp;&nbsp;&nbsp;&nbsp;
                <b>Condici&oacute;n de pago:</b>&nbsp;&nbsp;
                <?= $r->__GET('nMovEstado') == 1 ? 'Credito' : 'Contado'; ?>
            </td>
        </tr>
    </table>

    <table class="disclaimer">
        <tr>
            <td class="disclaimer_contenido">
                Representaci&oacute;n Impresa de la Factura Electr&oacute;nica<br />
                Puede Verificarla en la Web Sunat con su clave sol.
            </td>
        </tr>
    </table>

</page>