<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Guia de remisión
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <form id="frmregistrarguia" method="POST" action="#">
                <input type="hidden" id="Guiaremision_Id" name="Guiaremision_Id" value="0">
                <input type="hidden" id="nTipoDocRelacionado" name="nTipoDocRelacionado" value="0">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Registro de guia de remisión</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <div class="row" style="padding-left: 15px; padding-right: 15px;">
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header">Buscar comprobante (opcional).</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                Codigo comprobante
                                <div class="form-inline">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="codigocomprobante" placeholder="Codigo comprobante">
                                    </div>
                                    <a href="#" class="btn btn-default" id="buscar-comprobante">Buscar</a>
                                </div>
                            </div>
                            <div class="col-md-12" style="padding-top: 15px;">
                                <h5 class="sub-tittle-header">Informacion de guia de remisión</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                Guía de Remisión
                                                <select class="form-control" id="TipoGuia" onchange="changeGuia()">
                                                <?php
                                                if(!empty($guias)){
                                                    foreach($guias as $g){
                                                        echo sprintf('<option value="%s">%s - %s</option>'."\n",$g->Documento_Id,$g->sDocNombreCorto ,$g->sDocNombre);
                                                    }
                                                }
                                                ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                Nro guia
                                                <input type="text" class="form-control" name="sNumeroGenerado" id="sNumeroGenerado" placeholder="Nro. Guia" value="" disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Fecha Emision
                                                <input type="text" class="form-control datepicker" name="dTraFecha" id="dTraFecha" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Fecha Inicio de traslado
                                                <input type="text" class="form-control datepicker" name="dTraFechaTraslado" id="dTraFechaTraslado" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Almacen
                                                <select class="form-control" id="Almacen_Id" name="Almacen_Id">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($almacen as $item) : ?>
                                                        <option value="<?php echo $item->__GET('Almacen_Id'); ?>"><?php echo $item->__GET('sAlmNombre'); ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                Moneda
                                                <select class="form-control" id="Moneda_Id" name="Moneda_Id">
                                                    <option value="1" selected>Soles</option>
                                                    <option value="2">Dolares</option>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Doc. referencia (opcional).
                                                <input type="text" class="form-control" name="sSerieNumeroRelacionado" id="sSerieNumeroRelacionado" placeholder="Doc. referencia (opcional)." value="<?=isset($r)?$r->sMovDocReferencia:null?>" disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Motivo de traslado
                                                <select class="form-control" id="sTraCodigoMotivoTraslado" name="sTraCodigoMotivoTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($motivotraslado as $item) : ?>
                                                        <option value="<?php echo $item['sMotTraCodigoSunat'] . '|' . $item['sMotTraDescripcion']; ?>" <?=(isset($r) && ( $item['sMotTraCodigoSunat'].'|'.$item['sMotTraDescripcion']==$r->sTraCodigoMotivoTraslado))?'selected':null;?>><?php echo $item['sMotTraDescripcion']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Medio de traslado
                                                <select class="form-control" id="sTraCodigoModalidadTraslado" name="sTraCodigoModalidadTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($tipotransporte as $item) : ?>
                                                        <option value="<?php echo $item['sTipTraCodigoSunat'] . '|' . $item['sTipTraDescripcion']; ?>">
                                                            <?php echo $item['sTipTraDescripcion']; ?>
                                                        </option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2 form-group">
                                        Tipo
                                        <select class="form-control" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" onchange="TipoPrvClien()">
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 1 ? 'selected' : '' : ''; ?>>Proveedor</option>
                                            <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 2 ? 'selected' : '' : ''; ?>>Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Cliente/Proveedor
                                        <select class="form-control selectpicker" name="nMovOrigenDestino_Id" id="nMovOrigenDestino_Id" data-live-search="true" onchange="obtener_direccion_cliente(this);">
                                            <option value="">Seleccione cliente/proveedor</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6 form-group">
                                        Otro Motivo de Traslado
                                        <input type="text" class="form-control" id="sGuiOtroMotivo" name="sGuiOtroMotivo" placeholder="Otro Motivo de Traslado" value="<?php echo isset($r) ? $r->__GET('sGuiOtroMotivo') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">Punto de partida</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        Dirección
                                        <input type="text" class="form-control" name="sTraDireccionPuntoPartidaTraslado" id="sTraDireccionPuntoPartidaTraslado" placeholder="Dirección" value="<?php echo $_SESSION['usu_enterpriseAddress']; ?>">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Departamento
                                        <select class="form-control" name="dTraParDepartamento" id="dTraParDepartamento" onchange="provincias('sTraParProvincia', 'sTraParDistrito', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Provincia
                                        <select class="form-control" name="sTraParProvincia" id="sTraParProvincia" onchange="distritos('sTraParDistrito', 'sTraParProvincia', 'dTraParDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Distrito
                                        <select class="form-control" name="sTraParDistrito" id="sTraParDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">Punto de Llegada</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        Dirección
                                        <select class="form-control" name="sTraDireccionPuntoLlegadaTraslado" id="sTraDireccionPuntoLlegadaTraslado" onchange="obtener_ubigeo_cliente(this);">
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Departamento
                                        <select class="form-control" name="dTraLleDepartamento" id="dTraLleDepartamento" onchange="provincias('sTraLleProvincia', 'sTraLleProvincia', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Provincia
                                        <select class="form-control" name="sTraLleProvincia" id="sTraLleProvincia" onchange="distritos('sTraLleDistrito', 'sTraLleProvincia', 'dTraLleDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Distrito
                                        <select class="form-control" name="sTraLleDistrito" id="sTraLleDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Lista de productos
                                    <a href="#" class="btn btn-success" style="padding: 2px 10px; margin: 0px 10px !important;" onclick="ValidarTipomovimiento(); return false;">Agregar</a>
                                </h5>
                                <div role="separator" class="divider"></div>
                                <table class="table table-bordered table-striped text-center">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>Cantidad</th>
                                            <th>Unidad</th>
                                            <th>Precio</th>
                                            <th>Sub Total</th>
                                            <th>Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="productos_servicios">
                                        <tr>
                                            <td colspan="7">No hay datos</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="form-group">
                                    Observacion
                                    <textarea class="form-control" id="sGuiObservacion" name="sGuiObservacion" rows="3" style="resize: none;"></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Datos de transporte
                                </h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-3">
                                                RUC Transportista
                                                <div class="input-group">
                                                    <select class="form-control" id="selectTransportista" data-live-search="true" onchange="SelectTransportista()">
                                                        <option value="" data-name="">- seleccionar -</option>
                                                    <?php
                                                    if(!empty($transportistas)){
                                                        foreach($transportistas as $l){
                                                            echo sprintf('<option value="%s" data-name="%s" data-ruc="%s">%s - %s</option>'."\n",$l->Transportista_Id,$l->sTraNombre,$l->sTraRUC,$l->sTraRUC,$l->sTraNombre);
                                                        }
                                                    }
                                                    ?>
                                                    </select>
                                                    <span class="input-group-btn">
                                                        <button class="btn btn-default" type="button" id="btnAddTransportista" title="Añadir Transportista" data-toggle="modal" data-target="#form-agregartransportista">
                                                            <i class="fa fa-plus"></i>
                                                        </button>
                                                    </span>
                                                </div>
                                                <input type="hidden" class="form-control" id="sTraRUCTransportistaTraslado" name="sTraRUCTransportistaTraslado" placeholder="RUC Transportista">
                                            </div>
                                            <div class="col-md-3">
                                                Nombre Transportista
                                                <input type="text" class="form-control" id="sTraNombreTransportistaTraslado" name="sTraNombreTransportistaTraslado" placeholder="Nombre Transportista">
                                            </div>
                                            <div class="col-md-3">
                                                Placa de Vehiculo
                                                <input list="VehiculoList" type="text" class="form-control" id="sTraPlacaVehiculoTraslado" name="sTraPlacaVehiculoTraslado" placeholder="Placa de Vehiculo" onchange="loadConductorList()">
                                                <datalist id="VehiculoList"></datalist>
                                            </div>
                                            <div class="col-md-3">
                                                DNI Conductor
                                                <input list="ConductorList" type="text" class="form-control" id="sTraDNIConductorTraslado" name="sTraDNIConductorTraslado" placeholder="DNI Conductor">
                                                <datalist id="ConductorList"></datalist>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-3">
                                                Unidad de medida
                                                <select class="form-control" id="sTraCodigoUnidadMedidaTraslado" name="sTraCodigoUnidadMedidaTraslado">
                                                    <?php foreach ($unidadmedida as $uni) { ?>
                                                        <option value="<?php echo $uni->__GET('sUndCodeSunat') . '|' . $uni->__GET('sUndAlias') . '|' . $uni->__GET('sUndDescripcion'); ?>" <?php echo $uni->__GET('sUndAlias') === 'KGM' ? 'selected' : ''; ?>><?php echo $uni->__GET('sUndDescripcion') . ' (' . $uni->__GET('sUndAlias') . ')'; ?></option>
                                                    <?php
                                                    } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                Peso bruto
                                                <input type="text" class="form-control" id="nTraPesoBrutoGuiaTraslado" name="nTraPesoBrutoGuiaTraslado" placeholder="Peso bruto">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Guardar información</button>
                        <a href="?c=Guiaremision&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </div><!-- /.box -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<div class="modal fade" id="form-agregartransportista" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmAddTransportista">
        <section class="content-header">
            <h1>
                Transportista
                <small></small>
            </h1>
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                        <form action="javascript:addNewTransportista();" method="POST" id="FrmTransportista">
                            <div class="box-header">
                                <h3 class="box-title">Datos básicos</h3>
                            </div>
                            <!-- /.box-header -->
                            <div class="box-body">
                                <div id="resultado"></div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label">RUC</label>
                                            <div class="input-group">
                                                <input type="text" class="form-control" name="sTraRUC" id="sTraRUC" placeholder="RUC/DNI" value="" maxlength="11" >
                                                <a class="btn btn-danger input-group-addon" id="btnConsultar" onclick="verificarRuc();"><i class="fa fa-search"></i></a>
                                            </div>
                                            <label id="aparecer" style="display: none; color:red;">Faltan caracteres</label>
                                            <label id="nProcliRUCDNI-error" class="error help-block" for="nProcliRUCDNI" style="display: none;"></label>
                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <label>Nombre</label>
                                        <input type="text" class="form-control" name="sTraNombre" id="sTraNombre" placeholder="Nombre" value="">
                                    </div>
                                </div>
                            </div>
                            <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary btn-flat">Agregar</button>
                                <a data-dismiss="modal" class="btn btn-danger btn-flat">Cancelar</a>
                            </div>
                        </form>
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        </div>
    </div>
</div>
<script type="text/javascript" src="view/librerias/dist/js/funcionesGuiaremision.js"></script>
<script type="text/javascript">
    var ubigeo = "<?= $_SESSION['usu_enterpriseUbigeoName'] ?>";
    var ubigeo_dept = ubigeo.split(' - ')[0];
    var ubigeo_prov = ubigeo.split(' - ')[1];
    var ubigeo_dist = ubigeo.split(' - ')[2];

    
    function forcePick(selector, val) {
        var contenido = selector.find('option').length;
        if (contenido <= 1) {
            setTimeout(() => {
                forcePick(selector, val);
            }, 500);
            return;
        }
        selector.selectpicker('refresh');
        selector.selectpicker('val', val);
        selector.change();
    }

    $(document).ready(function() {

    <?php
        if (isset($promovido)) {
    ?>
            $('.selectpicker').selectpicker('refresh');
    <?php
            //promovido movimiento
            if (isset($movimiento)) {
    ?>
            setTimeout(function(){
                forcePick($('#nMovOrigenDestino_Id'), <?=$r->nMovOrigenDestino_Id?>);
            },6000);
    <?php
            }
        }
    ?>

    });

    function SelectTransportista(){
        var sel = $('#selectTransportista');
        var name = sel.find(':selected').data('name');
        var ruc = sel.find(':selected').data('ruc');

        $('#sTraNombreTransportistaTraslado').val(name);
        $('#sTraRUCTransportistaTraslado').val(ruc);

        $('#sTraPlacaVehiculoTraslado').val('');
        $('#sTraDNIConductorTraslado').val('');
        $('#VehiculoList').html('');
        $('#ConductorList').html('');

        loadVehiculoList();
    }
    
    function loadTransportistaList(){
        $.post('?c=Guiaremision&a=TransportistaListar', {},
        (data) => {
            $('#selectTransportista').html(data);
            $('#sTraRUC').val('');
            $('#sTraNombre').val('');
            $('#sTraPlacaVehiculoTraslado').val('');
            $('#sTraDNIConductorTraslado').val('');
            $('#VehiculoList').html('');
            $('#ConductorList').html('');
        })
    }
    function loadVehiculoList(){
        var Transportista_Id = $('#selectTransportista').val();
        if(Transportista_Id!=''){
            $.post('?c=Guiaremision&a=VehiculoListar', {
                Transportista_Id: Transportista_Id
            }, (data) => {
                $('#VehiculoList').html(data);
            })
        }
    }
    
    function loadConductorList(){
        var sVehPlaca = $('#sTraPlacaVehiculoTraslado').val();
        if(sVehPlaca!=''){
            if(sVehPlaca.length<6){
                return;
            }
            $.post('?c=Guiaremision&a=ConductorListar', {
                sVehPlaca: sVehPlaca
            }, (data) => {
                $('#ConductorList').html(data);
            })
        }
    }

    /* $('#btnAddClient').on('click', function() {
        $('#form-agregartransportista').modal('show');
    }) */
    function addNewTransportista(){
        var sTraRUC = $('#sTraRUC').val();
        var sTraNombre = $('#sTraNombre').val();

        $.post('?c=Guiaremision&a=TransportistaAgregar', {
            sTraNombre: sTraNombre,
            sTraRUC: sTraRUC
        }, function(data) {
            onAddTransportista(data);
        });
    }
    function onAddTransportista(response) {
        $('#form-agregartransportista').modal('hide');
        sTraRUC = $('#sTraRUC').val('');
        $('#sTraNombre').val('');

        if (/Exito/.test(response)) {
            swal("Transportista guardado.", "Los datos fueron registrados correctamente. ", "success");
            loadTransportistaList();
        } else {
            swal("Advertencia", "Ocurrio un problema guardando el Transportista.", "warning");
        }
    }

    var qry_status = false;
    function verificarRuc() {

        if (qry_status) {
            swal("Advertencia.", "Se esta procesando una solicitud, espere un momento.", "warning");
            return;
        }

        $("#sTraNombre").val('');

        var nProcliRUCDNI = $("#sTraRUC").val();

        $('#btnConsultar').prop('disabled', true);
        var mibtn = $('#btnConsultar i').attr('class');
        $('#btnConsultar i').removeAttr('class').addClass('fa fa-spinner fa-spin');

        qry_status = true;

        $.ajax({
            url: 'https://felipemarroquin.com/webservices/sunat/api/ruc?ruc='+nProcliRUCDNI+'&accessToken='+'a19673a29209aa14bd484a2e39b3223a',
            type: 'GET',
            success: function(data){ 
                qry_status = false;

                $('#btnConsultar').prop('disabled', false);
                $('#btnConsultar i').removeAttr('class').addClass(mibtn);

                if (data.success) {
                    if (data.estado.codigo == 1) {
                        $("#sTraNombre").val(data.nombre);
                    } else {
                        swal("Advertencia.", 'El estado es: ' + data.estado.mensaje, "warning");
                    }
                } else {
                    swal("Advertencia.", data.estado.mensaje, "warning");
                }
            },
            error: function(data) {
                swal("Advertencia.", 'Ocurrio un error procesando la petición.', "warning");
                $('#btnConsultar').prop('disabled', false);
                $('#btnConsultar i').removeAttr('class').addClass(mibtn);
            }
        });
    }
</script>
<?php if (isset($_REQUEST['code'])) { ?>
    <script type="text/javascript">
        function loaddata(Guiaremision_Id) {
            $.post('?c=Guiaremision&a=Buscar', {
                Guiaremision_Id: Guiaremision_Id
            }, (data) => {
                if (data) {
                    var data = JSON.parse(data);
                    for (let item in data) {
                        var doc = document.getElementById(item);
                        if (doc) {
                            doc.value = data[item];
                        }
                    }
                    $("#sTraCodigoMotivoTraslado").val(data.sTraCodigoMotivoTraslado + '|' + data.sTraMotivoTraslado)
                    $("#sTraCodigoModalidadTraslado").val(data.sTraCodigoModalidadTraslado + '|' + data.sTraDescripcionModalidadTraslado)
                    $("#sTraCodigoUnidadMedidaTraslado").val(data.sTraCodigoUnidadMedidaTraslado + '|' + data.sTraAliasUnidadMedidaTraslado + '|' + data.sTraDescripcionUnidadMedidaTraslado);
                    setTimeout(() => {
                        $("#nMovOrigenDestino_Id").val(data.nMovOrigenDestino_Id);
                        $("#nMovOrigenDestino_Id").selectpicker('refresh');
                        var ubigeoLlegada = (data.sTraCodigoUbigeoPuntoLlegadaTraslado).match(/.{1,2}/g);
                        $("#dTraLleDepartamento").val(ubigeoLlegada[0]).change();
                        setTimeout(() => {
                            $("#sTraLleProvincia").val(ubigeoLlegada[1]).change();
                            setTimeout(() => {
                                $("#sTraLleDistrito").val(ubigeoLlegada[2]).change();
                            }, 400);
                        }, 400);

                        var ubigeoPartida = (data.sTraCodigoUbigeoPuntoPartidaTraslado).match(/.{1,2}/g);
                        $("#dTraParDepartamento").val(ubigeoPartida[0]).change();
                        setTimeout(() => {
                            $("#sTraParProvincia").val(ubigeoPartida[1]).change();
                            setTimeout(() => {
                                $("#sTraParDistrito").val(ubigeoPartida[2]).change();
                            }, 400);
                        }, 400);
                    }, 900);
                    products_detail = data.detalle;
                    create_table();
                }
            });
        }
        loaddata(<?php echo $_REQUEST['code']; ?>)


       
    </script>
<?php
} ?>