<style>
    .inp-cantidad {
        width: 5rem;
        margin: auto;
        text-align: center;
    }

    .inp-precio {
        width: 9rem;
        margin: auto;
        text-align: center;
    }

    .nopromovido tr td input[type='text'] {
        background-color: transparent !important;
        color: black !important;
        border: 0 !important;
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Movimiento
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Movimiento</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="javascript:GuardarMovimiento();" method="POST" id="FormMovimiento">
                    <div class="box-header">
                        <h3 class="box-title">Datos basicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <div class="col-md-4 form-group">
                                <input type="hidden" id="Movimiento_Id" name="Movimiento_Id" value="<?php echo isset($r) ? $r->__GET('Movimiento_Id') : '0'; ?>">
                                <input type="hidden" id="nMovOrdenCompra_Id" name="nMovOrdenCompra_Id" value="<?php echo isset($r) ? $r->__GET('nMovOrdenCompra_Id') : ''; ?>">
                                <input type="hidden" id="nro_decimales" name="nro_decimales" value="<?php echo isset($r) ? $r->__GET('nro_decimales') : ''; ?>">
                                <input type="hidden" id="tiporol" name="tiporol" value="<?= $RolVendedor ?>">
                                <input type="hidden" id="fechahab" name="fechahab" value="<?= $edicion_fecha ?>">
                                <input type="hidden" id="notasVentas" name="notasVentas" value="<?= (isset($esNotaVenta) && $esNotaVenta) ? implode(',', $Notas) : null ?>">
                                <label>Fecha</label>
                                <input type="text" class="form-control" name="dMovFecha" id="dMovFecha" placeholder="Fecha" value="<?php echo isset($r) ? $r->__GET('dMovFecha') : date('d-m-Y'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dMovFecha') : date('Y-m-d'); ?>">
                            </div>
                            <div class="col-md-4 form-group">
                                <label>Tipo movimiento</label>
                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id" onchange="Tipomovimiento()">
                                    <option selected value="">Seleccione tipo movimiento</option>
                                    <?php
                                    if (!isset($unicomov)) {
                                        foreach ($tipomovimiento as $timo) {
                                    ?>
                                            <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo isset($r) ? $r->__GET('nMovTipoMovimiento_Id') == $timo->__GET('TipoMovimiento_Id') ? 'selected' : '' : '' ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                        <?php

                                        }
                                    } else {
                                        ?>
                                        <option value="<?php echo $tipomovimiento[2]->__GET('TipoMovimiento_Id'); ?>" selected><?php echo $tipomovimiento[2]->__GET('sTMovNombre'); ?></option>
                                    <?php

                                    }
                                    ?>

                                </select>
                            </div>
                            <div class="col-md-4 form-group" id="TipoPago" onchange="TipoPago()">
                                <label>Tipo pago</label>
                                <div style="display: flex;">
                                    <select class="form-control" name="nMovTipopago" id="nMovTipopago">
                                        <!-- <option value="">Seleccione tipo pago</option> -->
                                        <?php
                                        ?>
                                        <option value="1" selected>Contado</option>
                                        <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipopago') == 2 ? 'selected' : '' : ''; ?>>Credito</option>


                                    </select>

                                    <div class="input-group" id="credito" style="display: none;">
                                        <a id="registrar_pagos" class="btn btn-info" data-toggle="modal" data-target="#form-agregarpagos" title="Añadir cuotas de pago" disabled><i class="glyphicon glyphicon-calendar"></i></a>
                                    </div>
                                </div>

                            </div>
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-md-2 col-sm-4 form-group">
                                        <label>Tipo</label>
                                        <select class="form-control" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" onchange="TipoPrvClien()">
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 1 ? 'selected' : '' : ''; ?>>Proveedor</option>
                                            <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 2 ? 'selected' : '' : ''; ?>>Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6 col-sm-8 form-group">
                                        <label>Cliente/Proveedor</label>
                                        <div class="input-group" style="width: 100%;">
                                            <select class="form-control" id="nMovOrigenDestino_Id" data-live-search="true">
                                                <option value="">Seleccione cliente/proveedor</option>
                                            </select>
                                            <span class="input-group-btn" style="display: none;">
                                                <button class="btn btn-default" type="button" id="btnAddClient" title="Añadir Cliente/Proveedor">
                                                    <i class="fa fa-user-plus"></i>
                                                </button>
                                            </span>
                                        </div>
                                        <label id="nMovOrigenDestino_Id-error" class="error help-block" for="nMovOrigenDestino_Id" style="display: none;"></label>
                                    </div>
                                    <div class="col-md-4 form-group proveedor">
                                        <label>Destino</label>
                                        <select class="form-control" name="nMovTipodestino" id="nMovTipodestino">
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nMovTipodestino') == 1 ? 'selected' : '' : ''; ?>>Bienes</option>
                                            <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipodestino') == 2 ? 'selected' : '' : ''; ?>>Servicios</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 form-group proveedor">
                                <label>Almacén / Sede</label>
                                <select class="form-control" name="Almacen_Id" id="Almacen_Id">
                                    <!--<option value="">Seleccione almacen</option>-->
                                    <?php
                                    foreach ($almacen as $alm) {
                                    ?>
                                        <option value="<?php echo $alm->__GET('Almacen_Id'); ?>" <?php echo isset($r) ? $alm->__GET('Almacen_Id') == $r->__GET('Almacen_Id') ? '' : '' : ''; ?>><?php echo $alm->__GET('sAlmNombre'); ?></option>
                                    <?php

                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-md-8 form-group">
                                <label>Documento</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <select class="form-control" name="Documento_Id" id="Documento_Id" onchange="NumeroDocumento();" disabled>
                                            <option value="">Seleccionar documento</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="hidden" id="correlativoFirsh" value="<?php echo isset($correlativoFirst) ? $correlativoFirst : ''; ?>">
                                        <input type="text" class="form-control" name="sMovDocumento" id="sMovDocumento" placeholder="Nro" value="<?php echo isset($r) ? $r->__GET('sMovDocumento') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Orden de Compra / Doc. Ref</label>
                                <input type="text" class="form-control" name="sMovDocReferencia" id="sMovDocReferencia" placeholder="Documento referencia" value="<?php echo isset($r) ? $r->__GET('sMovDocReferencia') : ''; ?>">
                            </div>
                            <div class="col-md-6 form-group" id="TipoMoneda">
                                <label>Tipo moneda</label>
                                <!--El tipo de cambio solo sera para el dolar caso contrario 1-->
                                <select class="form-control" name="Moneda_Id" id="Moneda_Id" onchange="TipoMoneda()">
                                    <!--<option value="">Seleccione tipo moneda</option>-->
                                    <option value="1" <?php echo isset($r) ? $r->__GET('Moneda_Id') == 1 ? 'selected' : '' : ''; ?>>Soles</option>
                                    <option value="2" <?php echo isset($r) ? $r->__GET('Moneda_Id') == 2 ? 'selected' : '' : ''; ?>>Dolares</option>
                                </select>
                            </div>
                            <!--<div class="col-md-3 form-group" id="TipoCambio" style="display: none;">-->
                            <!--    <label>Tipo de cambio</label>-->
                            <!--    <input type="text" class="form-control" name="nMovTipoCambio" id="nMovTipoCambio" value="<?php echo isset($r) ? $r->__GET('nMovTipoCambio') : '1'; ?>">-->
                            <!--</div>-->
                            <div class="form-group col-sm-3" id="TipoCambio" style="display: none;">
                                <label>Tipo de cambio</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" name="nMovTipoCambio" id="nMovTipoCambio" value="<?php echo isset($r) ? $r->__GET('nMovTipoCambio') : '1'; ?>">
                                    <div class="input-group-addon input-group-addon-button">
                                        <a class="btn btn-warning" href="https://e-consulta.sunat.gob.pe/cl-at-ittipcam/tcS01Alias" target="_blank" title="Consulte tipo de cambio"><i class="glyphicon glyphicon-usd"></i></a>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Vendedor</label>
                                <select class="form-control" name="nMovVendedor_Id" id="nMovVendedor_Id" <?= $observacion_vendedor ?>>
                                    <?php foreach ($vendedor as $doc) { ?>
                                        <option value="<?= $doc->__GET('vendedor_id') ?>" <?= isset($r) ? $r->__GET('vendedor_id') == $doc->__GET('vendedor_id') ? 'selected' : '' : '' ?>>
                                            <?= $doc->__GET('sVenNom') ?>
                                        </option>

                                    <?php } ?>
                                </select>
                            </div>

                            <div class="col-md-6 form-group" id="ordencompra_ref">
                                <label>N&deg; Orden de Compra referido</label>
                                <div class="input-group">
                                    <div class="input-group-addon input-group-addon-button">
                                        <span class="btn btn-warning">OC</span>
                                    </div>
                                    <input type="text" class="form-control" placeholder="N&deg; Orden de Compra referido" value="<?= isset($r) && isset($oc_documento) ? $oc_documento : null; ?>" disabled>
                                </div>
                            </div>

                            <div class="col-md-12 form-group" style="margin-top: 20px;">
                                <div class="alert alert-warning hidden" role="alert" id="alert_exceso" data-max="15">
                                    Muchos productos
                                </div>
                            </div>
                            <div class="col-md-12 form-group">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4>&nbsp;&nbsp;Lista de productos</h4>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-success" onclick="ValidarTipomovimiento()"><span class="glyphicon glyphiconglyphicon glyphicon-plus"></span>&nbsp;Agregar producto / servicio</a>
                                    </div>
                                </div>
                                <hr style="margin-top: 0px;">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped text-center <?= isset($promovido) ? null : 'no' ?>promovido" id="dxx">
                                        <thead>
                                            <tr>
                                                <th>Producto</th>
                                                <th>Cantidad</th>
                                                <th>Unidad</th>
                                                <th>Precio</th>
                                                <th>Sub Total</th>
                                                <th>Operaciones</th>
                                            </tr>
                                        </thead>
                                        <tbody id="productos_servicios">
                                            <tr>

                                                <td colspan="7">No hay datos</td>

                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="col-md-12 form-group" style="margin-top: 20px;">
                                <div class="alert alert-warning hidden" role="alert" id="alert_error">
                                    Error cálculo
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div id="resultado_productos"></div>
                                <div class="row">
                                    <!--<div class="col-md-6 form-group text-center">-->
                                    <!--    <input type="checkbox" name="dMovDetraccion_check" id="dMovDetraccion_check">&nbsp;Detracción-->
                                    <!--</div>-->
                                    <!--<div class="col-md-6 form-group">-->
                                    <!--    <input type="text" class="form-control" name="dMovDetraccion" id="dMovDetraccion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovDetraccion') : '0'; ?>">-->
                                    <!--</div>-->
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovDetraccion_check" id="dMovDetraccion_check">&nbsp;Detracción
                                    </div>
                                    <div class="col-md-12 form-group text-center">
                                        <select class="form-control" name="detraccion_id" id="detraccion_id" onchange="recalcularDetraccion();">
                                            <?php
                                            foreach ($detracciones as $detra) {
                                            ?>
                                                <option value="<?php echo $detra->nDePorcentaje; ?>" data-codigo="<?php echo $detra->sDeCodigo ?>"><?php echo $detra->sDeDescripcion; ?></option>
                                            <?php

                                            }
                                            ?>
                                        </select>

                                    </div>
                                    <div class="col-md-12 form-group">
                                        <input type="text" class="form-control" name="dMovDetraccion" id="dMovDetraccion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovDetraccion') : '0'; ?>">
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovPercepcion_check" id="dMovPercepcion_check">&nbsp;Percepción
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovPercepcion" id="dMovPercepcion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovPercepcion') : '0'; ?>">
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovRetencion_check" id="dMovRetencion_check">&nbsp;Retención
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovRetencion" id="dMovRetencion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovRetencion') : '0'; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-md-3 form-group">
                                        <label>Importe</label>
                                        <input type="text" class="form-control" name="dMovImporte" id="dMovImporte" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovImporte') : ''; ?>">
                                    </div>

                                    <div class="col-md-3 form-group">
                                        <label>IGV</label>
                                        <input type="text" class="form-control" name="dMovIGV" id="dMovIGV" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovIGV') : ''; ?>">
                                    </div>

                                    <div class="col-md-3 form-group">
                                        <label>ICBPER</label>
                                        <input type="text" class="form-control" name="dMovICBPER" id="dMovICBPER" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovICBPER') : ''; ?>">
                                    </div>

                                    <div class="col-md-3 form-group">
                                        <label>TOTAL</label>
                                        <input type="text" class="form-control" name="dMovTotal" id="dMovTotal" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovTotal') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Observaciones</label>
                                    <input type="hidden" id="id_empresa" value="<?php echo $_SESSION['usu_enterpriseRuc']; ?>">
                                    <textarea class="form-control" name="sMovObservacion" id="sMovObservacion" placeholder="Observaciones" rows="3"><?php echo isset($r) ? $r->__GET('sMovObservacion') : ''; ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Guardar información</button>
                        <!-- <a href="#" class="btn btn-primary btn-flat" data-toggle="modal" data-target="#modal-generargr">
                            Guardar información
                        </a> -->
                        <a href="?c=Movimiento&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<div class="modal fade" id="form-agregarcliente" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmAddCliente"></div>
    </div>
</div>
<!-- /Modal modal-eliminar -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<div class="modal fade" id="eliminar_productos" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <form action="javascript:EliminarProductoLista();" method="POST" id="FrmIngresoCompra">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">ELIMINAR PRODUCTOS</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Codigo_Producto" id="Codigo_Producto">
                    ¿Desea eliminar al producto de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div> <!-- /Modal modal-eliminar -->

<!-- /Modal modal-pagos -->

<div class="modal fade" id="form-agregarpagos" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-conten-login">
            <form method="post" id="FrmAgregarPagos">
                <div class="modal-header d-flex align-items-center justify-content-between">
                    <h4 class="modal-title modal-title-solicitud">Agregar Pagos</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group has-feedback" id="resultado-rest-password"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group has-feedback">
                                        <label>Fecha</label>
                                        <input name="dMovPagFechaCuota" id="dMovPagFechaCuota" type="text" class="form-control datepicker" data-toggle="tooltip" data-placement="top" />
                                        <!-- <input type="text" class="form-control" name="dMovPagFechaCuota" id="dMovPagFechaCuota"> -->
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group has-feedback">
                                        <label>Importe</label>
                                        <div style="display: flex">
                                            <input name="nMovPagTotalCuota" id="nMovPagTotalCuota" type="text" class="form-control" placeholder="S/." data-toggle="tooltip" data-placement="top" value="" />
                                            &nbsp;&nbsp;<a type="button" onclick="agregar_importe()" class="btn btn-success btn-flat"><i class="fa fa-plus-square"></i></a>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="col-sm-12">
                            <table class="table table-bordered table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th style="display: none;">Id</th>
                                        <th>Fecha</th>
                                        <th>Importe</th>
                                        <th>#</th>
                                    </tr>
                                </thead>
                                <tbody id="tabla_importes_agregados">

                                </tbody>
                            </table>
                        </div>

                        <div class="col-md-12">
                            <div style="text-align:center;">
                                <label>Total</label>
                                <input style="text-align: center; border-top: black;" id="resultado_importes" type="text" data-toggle="tooltip" data-placement="top" value="0" disabled />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-center">
                    <button type="button" class="btn btn-primary" onclick="guardarImportes()">Guardar</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="modal_confirmareliminar_importe" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form onsubmit="return false;" method="POST">
                <input type="hidden" id="row_importe_a_eliminar" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Eliminar Pago</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="codigo" id="codigo">
                    <input type="hidden" name="fila" id="fila">
                    ¿Desea eliminar al pago de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="button" onclick="return quitar_pago_ok($('#row_importe_a_eliminar').val())" class="btn btn-danger btn-flat">Sí, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-generargr" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <form action="javascript:GuardarMovimiento();" method="POST" id="FormMovimiento">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">GENERAR GUÍA REMISIÓN</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" value="<?php echo isset($tipo_documento) ? $tipo_documento : '' ?>" id="tipo_movimiento_id">
                    <input type="hidden" value="<?php echo isset($ptipodocumento) ? $ptipodocumento : '' ?>" id="tipo_doumento_id">
                    <input type="hidden" value="<?php echo isset($docRef) ? $docRef : '' ?>" id="doc_ref_id">
                    <input type="hidden" name="Codigo_Producto" id="Codigo_Producto">
                    ¿Desea generar GR?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success btn-flat">Sí, generar</button>
                    <button type="submit" class="btn btn-default btn-flat">No, continuar</button>
                </div>
            </form>
        </div>
    </div>
</div> <!-- /Modal modal-eliminar -->
<script src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script type="text/javascript">
    var display_modal_pago_efectivo = false;

    function forcePick(selector, val) {
        var contenido = selector.find('option').length;
        if (contenido <= 1) {
            setTimeout(() => {
                forcePick(selector, val);
            }, 500);
            return;
        }
        selector.selectpicker('refresh');
        selector.selectpicker('val', val);
        selector.change();
    }

    function forceCreditoImporte(fecha, importe) {
        var row_contacto = '<tr id="row_contacto_1">';
        row_contacto += '<td style="display:none">1</td>';
        row_contacto += '<td>' + fecha + '</td>';
        row_contacto += '<td>' + importe + '</td>';
        row_contacto += '<td><button id="quitar_importe" type="button" data-fila="' + importe + '" onclick="return quitar_contacto(' + 1 + ', ' + importe + ')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-minus"></i></button></td>';
        row_contacto += '</tr>';
        $('#tabla_importes_agregados').append(row_contacto);
        $('#FrmAgregarPagos').trigger('reset');
        sumar_importes();
    }

    $('.datepicker').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    function changePreice(evt) {
        console.log(evt);
        // position, evt
        // $.post('?c=Movimiento&a=ModificarPrecioProductoLista', {
        //     Codigo_Producto: position,
        //     checked: evt.checked
        // }, function(data) {
        //     ListarProductos();
        //     CalcularImpTotIGV();
        // });
        if (evt.checked) {
            $("#nMovDetConPrecioUnitario").val(0.01);
            CalcularSubtotal();
        } else {
            ListarProductosLote();
        }
    }
    var unicomov = "<?php echo isset($unicomov) ? '1' : '0'; ?>";
    $(document).ready(function() {
        <?php
        if (!isset($r)) {
        ?>
            $('#nMovTipoOrigenDestino').val(2);
        <?php
        } else {
        ?>
            $('#nMovTipoOrigenDestino').val(<?= $r->nMovTipoOrigenDestino ?>);
        <?php
        }
        ?>
        TipoPrvClien();

        if (unicomov != 0) {
            Tipomovimiento();
        }

        <?php if ($empresas_obs == 1) { ?>
            asignarobs();
        <?php } ?>

        <?php if ($edicion_fecha == 1) { ?>
            bloquearFecha();
        <?php } ?>

        loadPameters();
        // verificarTipoCambio();

        <?php
        if (isset($promovido)) {
        ?>
            setTimeout(() => {
                $('#preloader').show();
                //TODO MOVIOMIENTO COTIZACION
                calcularcantidad();
                ListarProductos();
                CalcularImpTotIGV();
            }, 1000);
            $('.selectpicker').selectpicker('refresh');
            <?php
            //promovido cotizacion
            if (isset($cotizacion)) {
            ?>
                console.log('acá cotizacion');
                forcePick($('#nMovOrigenDestino_Id'), '<?= $cotizacion->__get('nMovOrigenDestino_Id') ?>');
            <?php
            }
            ?>
            <?php
            //promovido orden compra
            if (isset($oc)) {
            ?>
                console.log('acá');
                forcePick($('#nMovOrigenDestino_Id'), '<?= $r->__get('nMovOrigenDestino_Id') ?>');
            <?php
            }
            ?>
            <?php
            //promovido notas
            if (isset($Notas)) {
            ?>
                console.log('acá notas');
                forcePick($('#nMovOrigenDestino_Id'), '<?= $r->__get('nMovOrigenDestino_Id') ?>');
            <?php
            }
            ?>

            <?php
            if ($r->nMovTipopago == 2) {
            ?>
                $('#registrar_pagos').attr('disabled', false); // activa el modal para credito
                forceCreditoImporte('<?= $promovido_fecha_credito ?>', '<?= $promovido_importe ?>')
        <?php
            }
        }
        ?>
        TipoMoneda();
        <?php
        if (isset($promovido)) {
            echo 'TipoPrvClien();';

            if (isset($esNotaVenta)) {
        ?>
                setTimeout(function() {
                    forcePick($('#nMovOrigenDestino_Id'), <?= $r->nMovOrigenDestino_Id ?>);
                }, 6000);
            <?php
            }

            ?>
            setTimeout(function() {
                $('#nMovTipoCambio').val('<?= $r->nMovTipoCambio ?>');
            }, 500)
        <?php
        }
        ?>
    });

    function recalcularDetraccion() { // JC-2022-05-06
        var detraccion = $('#detraccion_id').val();
        var dMovTotal = parseFloat($("#dMovTotal").val().replace(',', ''));
        return $("#dMovDetraccion").val((dMovTotal * parseInt(detraccion) / 100).toFixed());
    }

    $('#dMovDetraccion_check').change(function(e) {
        if (e.target.checked) {
            recalcularDetraccion(); // JC-2022-05-06
        } else {
            $("#dMovDetraccion").val('0');
        }
    });

    // $('#dMovDetraccion_check').change(function(e) {
    //     if (e.target.checked) {
    //         $.post('?c=Parametro&a=Detraccion', {
    //             is_json: true,
    //             parametro_id: 6
    //         }, function(data) {
    //             var info = JSON.parse(data);
    //             if (info) {
    //                 var dMovTotal = parseFloat($("#dMovTotal").val().replace(',', ''));
    //                 $("#dMovDetraccion").val((dMovTotal * parseInt(info.sParValor) / 100).toFixed());
    //             }
    //         });
    //     } else {
    //         $("#dMovDetraccion").val('0');
    //     }
    // });

    $('#dMovPercepcion_check').change(function(e) {
        if (e.target.checked) {
            $.post('?c=Parametro&a=Detraccion', {
                is_json: true,
                parametro_id: 15
            }, function(data) {
                var info = JSON.parse(data);
                if (info) {
                    var dMovTotal = parseFloat($("#dMovTotal").val().replace(',', ''));
                    $("#dMovPercepcion").val((dMovTotal * parseInt(info.sParValor) / 100).toFixed(2));
                }
            });
        } else {
            $("#dMovPercepcion").val('0');
        }
    });

    $('#dMovRetencion_check').change(function(e) {
        if (e.target.checked) {
            $.post('?c=Parametro&a=Detraccion', {
                is_json: true,
                parametro_id: 17
            }, function(data) {
                var info = JSON.parse(data);
                if (info) {
                    var dMovTotal = parseFloat($("#dMovTotal").val().replace(',', ''));
                    $("#dMovRetencion").val((dMovTotal * parseInt(info.sParValor) / 100).toFixed(2));
                }
            });
        } else {
            $("#dMovRetencion").val('0');
        }
    });

    $('#dMovFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    function TipoMoneda() {
        var moneda = $("#TipoMoneda");
        var Moneda_Id = document.getElementById('Moneda_Id').value;
        if (Moneda_Id == 1) {
            moneda.removeClass('col-md-3');
            moneda.addClass('col-md-6');
            $("#TipoCambio").hide();
            $("#nMovTipoCambio").val("1");
        } else {
            moneda.removeClass('col-md-6');
            moneda.addClass('col-md-3');
            $("#TipoCambio").show();
            verificarTipoCambio();
            // $("#nMovTipoCambio").val("");

        }
    }
    $('#eliminar_productos').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('productoid'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });

    function enviarPrecioCosto(PrecioCosto) {
        calcularFactor();
        //$("#nMovDetConPrecioUnitario").val(PrecioCosto);
    }

    function calcularFactor() {
        var factorConv = $("#Unidadmedida_Id option:selected").data("factor");
        // var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("preciocosto");
        // var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("precioventa");
        var PrecioConvert = 0;

        if (nMovDetConPrecioUnitario == undefined) {
            nMovDetConPrecioUnitario = 0;
        }

        if (factorConv == undefined) {
            factorConv = 0;
        }

        PrecioConvert = factorConv * nMovDetConPrecioUnitario;
        // $("#nMovDetConPrecioUnitario").val(PrecioConvert.toFixed(2));

        //enviando id de almacen
        var Almacen_Id = $("input[name=lotes]:checked").data("almacen");
        $("#almacen").val(Almacen_Id);
        setTimeout(() => {
            CalcularSubtotal();
        }, 500);
    }

    function loadPameters() {



        <?php
        if (!isset($r)) {
            $tipomovimiento = null;
            $bienes = null;
            $observacion = null;
            $tipopago = null;
            $tipodocumento = null;
            $pagoenefectivo = false;

            foreach ($parametro as $r) {
                if ($r->__GET('Parametro_Id') == 3) {
                    $tipomovimiento = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 4) {
                    $bienes = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 5) {
                    $observacion = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 7) {
                    $tipopago = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 8) {
                    $tipodocumento = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 17) {
                    $pagoenefectivo = $r->__GET('sParValor');
                }
            }
            if ($bienes) {
                $bienes = explode('|', $bienes);
        ?>
                $('#nMovTipodestino').val(<?php echo $bienes[1]; ?>);
            <?php
            }
            if ($tipomovimiento) {
                $tipomovimiento = explode('|', $tipomovimiento);
            ?>
                $('#Tipomovimiento_Id').val(<?php echo $tipomovimiento[1]; ?>);
            <?php
            }
            if ($observacion) {
            ?>
                $('#sMovObservacion').val('<?php echo $observacion; ?>');
            <?php

            }
            if ($tipopago) {
                $tipopago = explode('|', $tipopago);
            ?>
                $('#nMovTipopago').val(<?php echo $tipopago[1]; ?>);
            <?php
            }
            if ($tipodocumento) {
                // print_r($tipodocumento);
                $tipodocumento = explode('|', $tipodocumento);
            ?>
                $('#Documento_Id').val(<?php echo $tipodocumento[1]; ?>);
                setTipoDocumento(<?php echo $tipodocumento[1]; ?>);
            <?php
            }
            if ($pagoenefectivo) {
            ?>
                display_modal_pago_efectivo = <?= (bool)$pagoenefectivo ?>
            <?php
            }
        } else {
            if ($ptipodocumento) {
                $ptipodocumento = explode('|', $ptipodocumento);
            ?>
                // Aqui
                let Tipomovimiento_Id = $('#tipo_movimiento_id').val();

                if (Tipomovimiento_Id != '') {
                    $.post(
                        '?c=Tipodocumento&a=ListarConbobox', {
                            Tipomovimiento_Id,
                        },
                        function(data) {
                            $('#Documento_Id').removeAttr('style');
                            $('#Documento_Id').html(data);
                            $('#Documento_Id').selectpicker('refresh');
                            NumeroDocumento();
                            $('.btn.dropdown-toggle.selectpicker.disabled.btn-default').css('display', 'none');
                        }
                    );
                }
                let tipoDocumento = $('#tipo_doumento_id').val();

                if (tipoDocumento != '' && Tipomovimiento_Id == '') {
                    let tam = tipoDocumento.split('|');
                    if (tam.length == 2) {
                        console.log('Entra');
                        $('#Documento_Id').val(tam[1]);
                        setTipoDocumento(tam[1]);
                    }
                }
        <?php
            }
        }
        ?>
        $('#Tipomovimiento_Id').change();
        $('#nMovTipopago').change();
    }

    function ValidarTipomovimiento() {
        <?php

        $precioigv = null;
        foreach ($parametro as $r) {
            if ($r->__GET('Parametro_Id') == 11) {
                $precioigv = $r->__GET('sParValor');
            }
        }
        if ($precioigv) {
            $precioigv = explode('|', $precioigv);  ?>

            <?php if ($precioigv[1]) {  ?>

                $("#nIncluyeLoteIGV").prop("checked", true);
        <?php

            }
        } ?>
        var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;

        if (Tipomovimiento_Id == "") {
            $("#Tipomovimiento_Id").addClass('error');
            $("#Tipomovimiento_Id").parent().children().first().addClass("error");
        } else {
            $("#Tipomovimiento_Id").removeClass('error');
            $("#Tipomovimiento_Id").parent().children().first().removeClass("error");
            LimpiarFrmProductosLotes();
            $("#agregar_producto").modal('show');
        }
        $('html, body').animate({
            scrollTop: '0px'
        }, 1000);
    }


    function setTipoDocumento(val) {
        var doc = $('#Documento_Id');
        var ref = doc.html().trim();
        var ref_compare = '<option value="">Seleccionar documento</option>';
        //console.log(ref);
        if (ref == ref_compare) {
            setTimeout(function() {
                setTipoDocumento(val);
            }, 100)
            return;
        }
        $('#Documento_Id').val(val);
        $('#Documento_Id').change();
    }

    var stocker = {
        prodLotes: [],
        addPL: function(id, total, cantidad) {
            if (this.exist(id)) {
                return this.updPL(id, cantidad);
            } else {
                var pl = {
                    id: id,
                    qty: cantidad,
                    stock: total
                };
                this.prodLotes.push(pl);
                return true;
            }
        },
        exist: function(id) {
            var find = this.prodLotes.filter((el) => el.id == id);
            return find.length > 0;
        },
        updPL: function(id, cantidad) {
            var index = this.prodLotes.findIndex((el) => el.id == id);
            var new_cantidad = this.prodLotes[index].qty + cantidad;
            if (new_cantidad > this.prodLotes[index].stock) {
                swal("Advertencia.", "Actualmente solo hay " + this.getDisponible(id) + " unidad(es) disponibles para este lote.", "warning");
                return false;
            } else {
                this.prodLotes[index].qty = new_cantidad;
                return true;
            }
        },
        delPL: function(id) {
            this.prodLotes = this.prodLotes.filter((el) => el.id !== id);
        },
        remPL: function(id, cantidad) {
            var index = this.prodLotes.findIndex((el) => el.id == id);
            var new_cantidad = this.prodLotes[index].qty - cantidad;
            this.prodLotes[index].qty = new_cantidad;
        },
        getDisponible: function(id) {
            var find = this.prodLotes.find((el) => el.id == id);
            return find.stock - find.qty;
        }
    };

    function AgregarProductoLote() {

        var familia = $("#ProdServ_Id").find(':selected').data('familia');
        var nProSrvICBPer = $("#ProdServ_Id").find(':selected').data('icbper');
        var servicio_id = parseInt(familia.substring(0, 1));
        //alert(servicio_id);
        var ProdServ_Id = document.getElementById('ProdServ_Id').value;
        var lotes = $('input:radio[name=lotes]:checked').val();
        var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
        var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
        var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
        var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
        var Almacen_Id = document.getElementById('almacen').value;
        var nMovDetPorcDescuento1 = document.getElementById('nMovDetPorcDescuento1').value;
        var nIncluyeLoteIGV = 0;
        if ($("#nIncluyeLoteIGV").prop("checked") == true) {
            nIncluyeLoteIGV = 1;
        }

        <?php

        $validstock = null;
        foreach ($parametro as $r) {
            if ($r->__GET('Parametro_Id') == 12) {
                $validstock = $r->__GET('sParValor');
            }
        }
        if ($validstock) {
            $validstock = explode('|', $validstock);  ?>

            <?php if ($validstock[1]) {  ?>

                if ($('input[name=lotes]:checked').length == 0 && servicio_id != 2) {
                    swal("Seleccione un lote");
                    return;
                }
                var stock = parseInt($("input[name=lotes]:checked").attr("data-stock"));
                var stockreal = stock / $("#Unidadmedida_Id option:selected").attr("data-factconversion");


                var valid_stocker = stocker.addPL(ProdServ_Id, stock, parseInt($('#sMovDetConCantidad').val()));
                if (!valid_stocker) {
                    swal("Advertencia.", "Actualmente solo hay " + stocker.getDisponible(ProdServ_Id) + " unidad(es) disponibles para este lote.", "warning");
                    return;
                }
                /* if (valid_stoker && parseInt($('#sMovDetConCantidad').val()) > parseFloat($('#Unidadmedida_Id_conversion').val())) {
                    swal("Advertencia.", "Actualmente solo hay " + stockreal + " unidad(es) disponibles para este lote.", "warning");
                    return;
                } */

                if ($('input[name=lotes]:checked').val() == '') {
                    swal("Advertencia.", "Debe seleccionar un lote", "warning");
                    return;
                }
        <?php

            }
        } ?>
        // if (parseInt($('#sMovDetConCantidad').val()) > parseInt($('input:radio[name=lotes1]').val()) && servicio_id != 2) {
        //     swal("Está ingresando una cantidad mayor a la que hay disponible en el lote");
        //     return false;
        // }

        if (sMovDetConCantidad > 0 || servicio_id == 2) {
            $.post('?c=Movimiento&a=AgregarProductoC', {
                ProdServ_Id: ProdServ_Id,
                lotes: lotes,
                Almacen_Id: Almacen_Id,
                Unidadmedida_Id: Unidadmedida_Id,
                sMovDetConCantidad: sMovDetConCantidad,
                nMovDetConPrecioUnitario: nMovDetConPrecioUnitario,
                nMovDetConSubtotal: nMovDetConSubtotal,
                nIncluyeIGV: nIncluyeLoteIGV,
                nProSrvExoneradoIGV: $("#nProSrvExoneradoIGV").val(),
                nProSrvICBPer: nProSrvICBPer,
                nMovDetPorcDescuento1: nMovDetPorcDescuento1
            }, function(data) {
                calcularcantidad();
                $("#resultado_saluda_venta").html(data);
                LimpiarFrmProductosLotes();
                setTimeout(function() {
                    $(".prod").fadeOut(500);
                }, 1000);
                ListarProductos();
                CalcularImpTotIGV();


            });
        } else {
            swal("La cantidad tiene que ser mayor a 0");
        }
        $('#registrar_pagos').attr('disabled', false); // activa el modal cuando se agrega un producto
    }

    function calcularcantidad() {
        var cantidad = parseInt($('#sMovDetConCantidad').val());
        var stock = parseInt($("input[name=lotes]:checked").attr("data-stock"));

        var resultado = stock - cantidad;
        $("input[name=lotes]:checked").attr("data-stock", resultado);
    }

    function verificarTipoCambio() {

        $("#nMovTipoCambio").val('');
        var fecha = document.querySelector('#dMovFecha');
        var fechaformat = fecha.dataset.fechformat;
        qry_status = true;
        const [anio, mes, dia] = fechaformat.split('-');

        const url = `https://hormiguitala.com/webservices/tipocambio/ws_obtener_tipo_cambio.php`;

        $.ajax({
            url,
            method: "GET",
            success: function(data) {
                qry_status = false;
                if (data.length > 0) {
                    const [fecha, compra, venta] = data.split(' ');
                    $("#nMovTipoCambio").val(parseFloat(venta));
                }
            },
            error: function(error) {
                swal("Error", "No se pudo obtener el tipo de cambio", "error");
            }
        });


        // $("#nMovTipoCambio").val('');


        // var fecha = document.querySelector('#dMovFecha');
        // var fechaformat = fecha.dataset.fechformat;

        // qry_status = true;

        // $.get('https://felipemarroquin.com/webservices/tipocambio_sunat/xchange/' + fechaformat + '/', {}, function(data) {

        //     qry_status = false;

        //     // $('#btnConsultar').prop('disabled', false);
        //     // $('#btnConsultar i').removeAttr('class').addClass('fa fa-search');

        //     if (data.success) {
        //         $("#nMovTipoCambio").val(data.sale);
        //     }
        //     // else {
        //     //     swal("Advertencia.", data.status, "warning");
        //     // }
        // });
    }


    <?php
    foreach ($parametro as $r) {
        if ($r->__GET('Parametro_Id') == 14) {
            $decimales = $r->__GET('sParValor');
        }
    }
    if ($decimales) {
    ?>
        $('#nro_decimales').val('<?php echo $decimales; ?>');
    <?php

    }
    ?>
    // pago calendario - créditos
    function TipoPago() {
        var TipoPago = document.getElementById('nMovTipopago').value;
        if (TipoPago == 1) {
            $("#credito").hide();
        } else {
            $("#credito").show();
        }
    }

    $('#Documento_Id').change(function(e) {
        var documento = $('#Documento_Id option:selected').val();
        var TipoPago = document.getElementById('nMovTipopago').value;
        if (TipoPago == 2) {
            if (documento != 1) {
                $("#credito").hide();
            } else {
                $("#credito").show();
            }
        }
    });


    function guardarImportes() {

        var resultado_importes = parseFloat($('#resultado_importes').val());
        var total = $('#dMovTotal').val();
        var total_f = Number(total.replace(/,/g, ""));
        var cantidad_importes = $('#tabla_importes_agregados').children().length;
        if (cantidad_importes != 0) {
            if (resultado_importes < total_f) {
                alert('El total de los importes es menor que el importe del documento.')
                return;
            }
            if (resultado_importes > total_f) {
                alert('El total de los importes es mayor que el importe del documento.')
                return;
            }
        }

        if ($("#FrmAgregarPagos").valid()) {
            importes_tabla = [];
            var cantidad_importes = $('#tabla_importes_agregados').children().length;
            for (var i = 0; i < cantidad_importes; i++) {
                $('#tabla_importes_agregados  tr:eq(' + i + ') td:eq(0)').text(i + 1);
                importes_tabla.push({
                    fecha: $('#tabla_importes_agregados').children()[i].children[1].innerHTML,
                    // importe: $('#tabla_importes_agregados').children()[i].children[2].innerHTML,
                    importe: Number($('#tabla_importes_agregados').children()[i].children[2].innerHTML).toFixed(2),
                    nrocuota: $('#tabla_importes_agregados').children()[i].children[0].innerHTML
                });
            }
            var j_importes = JSON.stringify(importes_tabla);


        }
        console.log(j_importes);
        $('#form-agregarpagos').modal('hide');

        return j_importes;

    }

    $('#btnAddClient').on('click', function() {
        $('#preloader').show();
        $.post('?c=Movimiento&a=AgregarCliente', {}, function(data) {
            $('#preloader').hide();
            $('#FrmAddCliente').html(data);
            $('#form-agregarcliente').modal('show');
        });
    })

    function onAddClient(response) {
        $('#form-agregarcliente').modal('hide');
        if (/Exito/.test(response)) {
            swal("Cliente/Proveedor guardado.", "Los datos fueron registrados correctamente. ", "success");
            TipoPrvClien();
        } else {
            swal("Advertencia", "Ocurrio un problema guardando el Cliente/Proveedor.", "warning");
        }
    }

    $('#form-agregarpagos').on('show.bs.modal', function(event) {
        var importe_total = $('#dMovTotal').val();
        var importe_total_f = Number(importe_total.replace(/,/g, ""));
        var dias_credito = $('#nMovOrigenDestino_Id').find(':selected').data('diascredito');
        var fecha_documento = $('#dMovFecha').data('fechformat') + 'T00:00:00';

        var fecha = new Date(fecha_documento);
        var dias = dias_credito; // Número de días a agregar
        var fecha_agregada = fecha.setDate(fecha.getDate() + dias);
        var fecha_formateada = new Date(fecha_agregada);

        var mes = fecha_formateada.getMonth() + 1; //obteniendo mes
        var dia = fecha_formateada.getDate(); //obteniendo dia
        var ano = fecha_formateada.getFullYear(); //obteniendo año
        if (dia < 10)
            dia = '0' + dia; //agrega cero si el menor de 10
        if (mes < 10)
            mes = '0' + mes //agrega cero si el menor de 10

        var fecha_final = dia + "-" + mes + "-" + ano;

        if (dias_credito != 0) {
            $("#dMovPagFechaCuota").val(fecha_final);
        } else {
            var f = new Date();
            var mes = f.getMonth() + 1; //obteniendo mes
            var dia = f.getDate(); //obteniendo dia
            var ano = f.getFullYear(); //obteniendo año
            if (dia < 10)
                dia = '0' + dia;
            if (mes < 10)
                mes = '0' + mes
            $("#dMovPagFechaCuota").val(dia + "-" + mes + "-" + ano);
        }



        $("#nMovPagTotalCuota").val(importe_total_f);
    });

    function asignarobs() {

        var vendedor = nMovVendedor_Id.options[nMovVendedor_Id.selectedIndex].text;

        document.getElementById('sMovObservacion').value = ('VENDEDOR(A): ' + vendedor);
    }

    function bloquearFecha() {
        var tipomovimientoxfecha = $('#Tipomovimiento_Id').val();
        if (tipomovimientoxfecha == 2) {
            $('#dMovFecha').attr("disabled", true);
        } else {
            $('#dMovFecha').attr("disabled", false);
        }
    }
</script>