<style>
    .input-group-addon {
        background-color: #d73925 !important;
        color: #fff !important;
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Producción
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Producción</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-6">
            <div class="box">
                <form action="javascript:GuardarProduccion();" method="POST">
                    <div class="box-header">
                        <h3 class="box-title">Datos básicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <div class="col-md-12 form-group">
                                <div class="row">
                                    <div class="col-md-6" style="display: none;">
                                        <select class="form-control" name="Documento_Id" id="Documento_Id">
                                            <option value="">Seleccionar documento</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <label>Nro Produccion</label>
                                        <input disabled type="text" class="form-control" name="sMovDocumento" id="sMovDocumento" placeholder="Nro" value="<?php echo isset($r) ? $r->__GET('sMovDocumento') : ''; ?>">
                                        <input id="editarSioNo" type="hidden" value="<?php echo isset($editar) ? $editar : '' ?>">
                                        <input type="hidden" id="cantidadEditar" value="<?php echo isset($editar) ? $cantidadProducir : '' ?>">
                                        <input type="hidden" id="idproduccionEditar" value="<?php echo isset($editar) ? $idproduccion : '' ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label">Seleccionar fórmula</label>
                                    <select class="form-control" onchange="CambiarUnidad()" name="nForProdResultante" id="nForProdResultante" data-live-search="true">
                                        <option value="" disabled selected>--Seleccione--</option>
                                        <?php
                                        foreach ($formulas as $f) {
                                        ?>
                                            <option <?php if (isset($formula_Id)) {
                                                        if ($formula_Id == $f->__GET('formula_Id')) {
                                                            echo 'selected';
                                                        }
                                                    }  ?> value="<?php echo $f->__GET('formula_Id') . '_' . $f->__GET('nForProdResultante') . '_' . $f->__GET('sUndAlias'); ?>" data_valor="<?php echo $f->__GET('nForProdResultante'); ?>"><?php echo $f->__GET('sForNombre'); ?></option>
                                        <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-12" style="margin-bottom: 15px;">
                                <label for="toneladas" id="tn_produccion">TN a Producir:</label>
                                <div class="row">
                                    <div class="form-group">
                                        <div class="col-xs-8 col-md-8">
                                            <input type="number" id="toneladas" placeholder="Ingrese las TN a producir" class="form-control">
                                        </div>
                                        <div class="col-xs-4 col-md-4">
                                            <div class="row">
                                                <div class="col-xs-6">
                                                    <button type="button" id="btntoneladas" onclick="calcularToneladas()" class="btn btn-primary">Calcular</button>
                                                </div>
                                                <div class="col-xs-6">
                                                    <button type="button" disabled id="btnagregarproducto" class="btn btn-success"><span class="glyphicon glyphicon-plus"></span></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            <div class="col-md-12">
                                <table id="tablaProduccion" class="table table-bordered table-striped text-center" style="display: none;">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>Cantidad</th>
                                            <th>Unidad de Medida</th>
                                            <th>Lote</th>
                                            <th>Costo Unitario</th>
                                            <th>Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="tbody_productos">
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">Guardar información</button>
                        <a href="?c=Produccion&a=Index" class="btn btn-danger" id="btncancelar">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<div class="modal fade" id="form-formula" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-conten-login">
            <form method="post" id="FrmAgregarFormula">
                <div class="modal-header d-flex align-items-center justify-content-between">
                    <h4 class="modal-title modal-title-solicitud">Añadir nueva fórmula</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group has-feedback" id="resultado-form-formula"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Producto</label>
                                        <select class="form-control" name="nForDetProducto" id="nForDetProducto" data-live-search="true">
                                            <?php
                                            foreach ($productos as $ps) {
                                            ?>
                                                <option value="<?php echo $ps->__GET('ProdServ_Id'); ?>|<?php echo $ps->__GET('sProSrvNombre'); ?>"><?php echo $ps->__GET('sProSrvNombre'); ?></option>
                                            <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Kilogramo</label>
                                        <input type="number" class="form-control" name="nForDetKg" id="nForDetKg" placeholder="0" value="<?php echo isset($r) ? $r->__GET('nForDetKg') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-center">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-primary" onclick="return agregar_formula_ok()">Añadir</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="modal_confirmareliminar_detfor" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form onsubmit="return false;" method="POST">
                <input type="hidden" id="row_detfor_a_eliminar" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Eliminar fórmula</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="codigo" id="codigo">
                    ¿Desea eliminar la fórmula de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="button" onclick="return quitar_detfor_ok($('#row_detfor_a_eliminar').val())" class="btn btn-danger btn-flat">Sí, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Modal agregar producto -->
<div class="modal fade" id="modal_agregarproducto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form onsubmit="return false;" method="POST">
                <input type="hidden" id="row_detfor_a_eliminar" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Agregar producto</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="modalnombreproductos">Productos</label>
                        <select data-live-search="true" name="producto" onchange="cambiarUnidadModal()" id="modalnombreproductos" class="form-control">
                            <option value="0" disabled selected>--Seleccione un producto--</option>
                            <?php foreach (json_decode($productos) as $p) :  ?>
                                <option value="<?php echo $p->ProdServ_Id . '_' . $p->sProSrvNombre . '_' . $p->sProLNombreLote . '_' . $p->nProLStockReal . '_' . $p->nProLPrecioL . '_' . $p->ProductoLote_Id . '_' . $p->nProLMonedaCompra_Id . '_' . $p->Almacen_Id . '_' . $p->sUndAlias . '_' . $p->sUndDescripcion ?>"><?php echo $p->sProSrvNombre ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="kgproducto" id="label_cantidad_productos">Cantidad en KG</label>
                        <input type="number" id="kgproducto" placeholder="Ingrese la cantidad de KG" class="form-control">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancelar</button>
                    <button type="button" onclick="agregarProducto()" class="btn btn-primary">Agregar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- termina agregar producto -->

<!-- Modal editar producto -->
<div class="modal fade" id="modal_editarproducto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <input type="hidden" id="row_detfor_a_eliminar" />
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                <h4 class="modal-title" id="modal-eliminar-label">Editar producto</h4>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <input type="hidden" id="id_producto_editado">
                    <label for="modalnombreproductos">Producto</label>
                    <input type="text" id="name_id_producto" disabled class="form-control">
                </div>
                <div class="form-group">
                    <label for="kgproducto">Cantidad</label>
                    <input minlength="0" min="0" type="number" id="cantidad_id_producto" placeholder="Ingrese la cantidad a producir" class="form-control">
                </div>
                <div class="form-group">
                    <label for="kgproducto">Unidad Medida</label>
                    <input type="text" id="medida_id_producto" disabled class="form-control">
                </div>
                <div class="form-group">
                    <label for="kgproducto">Lote</label>
                    <input type="text" id="lote_id_producto" disabled class="form-control">
                </div>
                <div class="form-group">
                    <label for="kgproducto">Costo</label>
                    <input type="text" id="costo_id_producto" disabled class="form-control">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancelar</button>
                <button type="button" onclick="editarProductoXId()" class="btn btn-primary">Guardar</button>
            </div>
        </div>
    </div>
</div>
<!-- termina editar producto -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesFormula.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesProduccion.js"></script>
<script type="text/javascript">
    $('#dForFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $('#nForDetProducto').selectpicker('refresh');
    $('#modalnombreproductos').selectpicker('refresh');


    $(document).ready(function() {
        //Verificvar si quiere editar
        let inputEditar = $('#editarSioNo').val();

        if (inputEditar != '') {
            let cantidad = $('#cantidadEditar').val();
            $('#toneladas').val(cantidad);
            calcularToneladas();
        }

        NumeroDocumento();
        $('#nForProdResultante').selectpicker('refresh');
        $("#FrmClienteproveedor").validators({
            rules: {
                nProcliRUCDNI: {
                    required: true,
                    maxlength: 11
                },
                sProcliNombre: {
                    required: true,
                    maxlength: 250
                },
                sProcliNomComercial: {
                    required: true,
                    maxlength: 250
                },
                sProcliDireccion: {
                    required: true,
                    maxlength: 300
                },
                nProcliDiasCredito: {
                    required: true
                },
                sProcliCorreo: {
                    maxlength: 150
                },
                sProcliContacto: {
                    maxlength: 40
                },
                nProcliTelefono: {
                    maxlength: 50
                },
                nProcliDep: {
                    required: true
                },
                nProcliProv: {
                    required: true
                },
                nProcliDist: {
                    required: true
                }
            }
        })
    });

    // function setTipoDocumento(val) {
    //     var doc = 19;
    //     var ref = doc.html().trim();
    //     var ref_compare = '<option value="">Seleccionar documento</option>';
    //     if (ref == ref_compare) {
    //         setTimeout(function() {
    //             setTipoDocumento(19);
    //         }, 100)
    //         return;
    //     }
    //     $('#Documento_Id').val(19);
    //     $('#Documento_Id').change();
    // }

    function agregar_formula_ok() {

        var datos = $('#FrmAgregarFormula').serializeArray();
        var separar_values = datos[0].value.split('|');

        var conteo_formulas = $('#formulas_detalle').children().length;
        var siguiente = conteo_formulas + 1;
        var row_for = '<tr id="row_detfor_' + siguiente + '">';
        row_for += '<td style="display:none">0</td>';
        row_for += '<td>' + separar_values[1] + '</td>';
        row_for += '<td>' + datos[1].value + '</td>';
        row_for += '<td style="display:none">' + separar_values[0] + '</td>';
        row_for += '<td><button type="button" onclick="return quitar_detfor(' + siguiente + ')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-times"></i></button></td>';
        row_for += '</tr>';

        $('#formulas_detalle').append(row_for);
        $('#form-formula').modal('hide');
        $('#FrmAgregarFormula').trigger('reset');
    }

    function quitar_detfor(id) {
        $('#row_detfor_a_eliminar').val(id);
        $('#modal_confirmareliminar_detfor').modal('show');
    }

    function quitar_detfor_ok(id) {
        $('#row_detfor_' + id).remove();
        $('#modal_confirmareliminar_detfor').modal('hide');
    }

    function confirmar_quitar_detfor() {
        $('#row_' + $('#id_row').val()).remove();
        $('#modal_confirmareliminar_detfor').modal('hide');
    }
</script>